2004-01-05  Maximka  <max@localhost.localdomain>

	* face/lod.cc: fixed changing current log when browsing in queue using keys;
	* segments.cc: fixed adding 0-xxx segment twice;
	* face/mywidget.cc: fixed selecting color in some cases;
	* main.cc: fixed proceeding next item in queue when multithreaded download was failed;

2004-01-04  Maxim Koshelev  <max@localhost.localdomain>

	* socket.cc: fixed stopping thread after exiting from gethostbyname;

2004-01-02  Maxim Koshelev  <max@localhost.localdomain>

	* nt.cc: fixed segfault when there is no configuration files found;

2003-12-27  Maxim Koshelev  <max@localhost.localdomain>

	* ftp.cc: fixed non-UTF string in logs of FTP downloads;

2003-12-24  Maximka  <max@localhost.localdomain>

	* alt.cc: fixed storing username and password of alternates;
	* face/mywidget.*: extended "edit alternate" dialog;
	* locstr.*: code cleanups;
	* face/lmenu.cc, face/list.cc: do not allow FTP-search when no engines loaded;

2003-12-24  Maxim Koshelev  <max@localhost.localdomain>

	* face/lod.cc: make some params in list writable (patch from solnul@gmx.de);
	* sk.po: Slovak translation updated from Zdenko Podobny;
	* sr.po: added Serbian translation from Brane Jovanovic;
	* locstr.h: do not use global 'timzone' variable due to BSD limitations (suggestion from Martin Johnson)
	* face/about.cc: update about dialog;

2003-12-23  Maxim  <max@localhost.localdomain>

	* nt.cc: default store folder is ~/MyDownloads now;
	* main.cc: fixed converting DnD-basket to menu with just one queue in tree;
	* main.cc, face/qtree.cc, dqueue.*: implemented selecting speed format;

Sun Dec  7 23:34:15 2003
	* manyfiles: added ability to specify different proxy per alternates;
	fixed removing partially loaded file after redirection;
	fixed bringing up "add new" dialog by '-a' option when D4X was not run;
	fixed couple 32bit overloadings;
	code cleanups;

Tue Mar 12 10:26:48  Maxim Koshelev  <mdem@chat.ru>

	* dlist.cc: fixed downloading in number of thread via FTP;
	* face/pixmap/del_all.xpm: replaced by dinamite icon;
	* dqueue.*, main.*, face/list.cc: fixed 'exit if nothing to do';

Mon Mar 11 17:10:24  Maxim Koshelev  <mdem@chat.ru>

	* face/list.*, face/dndtrash.cc: changed coords-normalization routine;
	* face/qtree.cc: interface cleanups;

Sun Mar 10 15:10:45  Maxim Koshelev  <mdem@chat.ru>

	* main.cc, var.*, face/passface.*, face/edit.*, face/list.cc:
	begin to replace passwords settings by URL-manager;

Sat Mar 09 14:49:33  Maxim Koshelev  <mdem@chat.ru>

	* config.cc, srvclt.*, main.cc: mark default queue when print list by '--ls',
	added ability to change current queue from command line;

Thu Mar 07 11:31:08  Maxim Koshelev  <mdem@chat.ru>

	* face/prefs.cc: fixed double lines in preferences tree;
	* face/dndtrash.cc: fixed moving DnD-basket;

Fri Mar 01 16:01:10  Maxim Koshelev  <mdem@chat.ru>

	* face/list.cc: implement storing keybinds of main menu;
	* main.cc: fixed displaying pause;
	* httpd.cc: fixed wrong speed calculation;

Thu Feb 28 15:34:03  Maxim Koshelev  <mdem@chat.ru>

	* face/about.cc: replaced email;
	* face/prefs.cc: output author info in theme's details;
	* face/log.cc, face/about.h: message type in the string window;

Wed Feb 27 10:38:12  Maxim Koshelev  <mdem@chat.ru>

	* srvclt.cc: fixed '--ls' with URL as parameter;
	* dlist.cc, face/prefs.cc: replaced 'ftpsearch.lycos.com' by 'archie.is.co.za';

Tue Feb 26 14:01:35  Maxim Koshelev  <mdem@chat.ru>

	* srvclt.cc, config.cc: fixed and improved '--ls' command line parameter;

Fri Feb 22 14:58:46  Maxim Koshelev  <mdem@chat.ru>

	* sndserv.cc: fix working on bigendian machines;

Mon Feb 18 10:58:26  Maxim Koshelev  <mdem@chat.ru>

	* download.*, httpd.cc, ftpd.cc, main.cc: fixed wrong attemtps
	counter for splited downloads;
	* po/de.po: updated German translation by Thomas R. Koll;
	* main.cc: fixed one more problem when run with '-w';
	* face/buttons.cc: fixed segfault when run with '-w' and with '-tX';

Sun Feb 17 18:53:21  Maxim Koshelev  <mdem@chat.ru>
	* main.cc: fixed wrong queue count after applying preferences;
	* face/edit.cc: fixed segfault after pressing 'Ok' in preferences
	of the download if queue of download is not current;

Tue Feb 12 14:59:18  Maxim Koshelev  <mdem@chat.ru>

	* main.cc: fixed selecting default queue in the tree; fixed segfault
	when starting splited download during initing stage;

Mon Feb 11 13:46:46  Maxim Koshelev  <mdem@chat.ru>

	* main.cc: implemented switching between alternates;
	* dlist.cc: fixed renaming filename when download is not completed for
	splited downloads;
	* manyfiles: some interface cleanups;

Sun Feb 10 13:58:19  Maxim Koshelev  <mdem@chat.ru>

	* main.cc: try to implement switching beetween alternates for splited
	downloads;

Fri Feb 08 12:22:42  Maxim Koshelev  <mdem@chat.ru>

	* main.cc: fixed enabling ok button for splited downloads when it stopped;
	* face/edit.cc: fixed setting path as default when it begins from ~;
	* alt.*: clear alternates if URL changed;
	* face/qtree.cc: support ~ in begining of default path of queue;

Thu Feb 07 12:57:01  Maxim Koshelev  <mdem@chat.ru>

	* dlist.cc: fixed loading in one thread (was broken yesterday);

Wed Feb 06 11:19:25  Maxim Koshelev  <mdem@chat.ru>

	* locstr.*, face/edit.cc: implement support '~' in pathes;
	* dlist.cc: some changes in splited loading code; fixed 'only subdirs'
	behavior for HTTP recurse;
	* ftpd.cc, ftp.*: solved some problems with splited loading
	when server does not support resuming;
	* xml.cc: fixed bug which caused to appear random chars;
	* face/about.cc: url to home page is selectable now;

Tue Feb 05 10:46:37  Maxim Koshelev  <mdem@chat.ru>

	* face/prefs.cc, face/buttons.*: buttons bar is themable now;
	* themes/: old_theme updated;

Mon Feb 04 11:01:23  Maxim Koshelev  <mdem@chat.ru>

	* themes/: added 'glass' theme;
	* main.cc: fixed segfault when trying to run download if it's in
	diffrent list than default, some interface cleanups;
	* hproxy.cc: fixed "404 not found" behavior;
	* face/pixmaps/: two more icons replaced;
	* xml.cc: it's allowed to close tag in the tag, eg <tag attr="val" />;

Sat Feb 02 18:08:24  Maxim Koshelev  <mdem@chat.ru>

	* face/prefs.cc, face/dndtrash.cc: implemented theme selecting;

Fri Feb 01 10:55:30  Maxim Koshelev  <mdem@chat.ru>

	* face/log.cc: tip for Ctrl+Num in the log of splited download;
	* face/pixmaps: continue working under new icons;
	* xml.*: write tiny xml parser :-);
	* face/dndtrash.cc: begin to implement themable DnD-basket;

Thu Jan 31  9:47:46  Maxim Koshelev  <mdem@chat.ru>

	* fsearch.cc: remove completed ftp-search task if parent URL
	in queue;
	* face/pixmaps: some icons replaced;
	* face/list.cc, var.*, config.cc: storing visibility of main window;
	* face/lod.cc: hacking with DnD icon;
	* face/log.cc: switch beetween logs for splited download by Ctr+[1-0];

Wed Jan 30 11:06:09  Maxim Koshelev  <mdem@chat.ru>

	* main.cc, dqueue.*, face/qtree.cc: restore displayed queue
	after restarting program;
	* face/buttons.cc: differnet pixmaps for diffrent progress bar's modes;

Tue Jan 29  9:55:20  Maxim Koshelev  <mdem@chat.ru>

	* dlist.cc: fixed writing redirection page if "change links"
	is set, fixed splited download over http;
	* face/pixmaps/: changed some icons in buttons bar;
	* face/qtree.cc: code cleanups;
	* sndsrv.cc, face/prefs.cc, var.*, config.cc: added support
	for ESD;
	* alt.cc: fixed destroying windows which are related with alternates
	after removing the download;

Mon Jan 28 13:14:46  Maxim Koshelev  <mdem@chat.ru>

	* sndserv.cc, Makefile: begin to implement supporting of esd;
	* face/qtree.cc: fixed closing "create new queue" by esc;
	* alt.cc: added modifying alternate by double click;

Sun Jan 27 18:45:08  Maxim Koshelev  <mdem@chat.ru>

	* alt.*, face/mywidget.*, savedvar.*, dlist.cc: improved support
	alternates links (managing and storing are implemented);

Sat Jan 26 14:23:50  Maxim Koshelev  <mdem@chat.ru>

	* main.cc, face/fsface.cc: interface cleanups;

Sun Jan 20 13:29:28  Maxim Koshelev  <mdem@chat.ru>

	* main.cc: tMain::print_info() removed randomly typed '!';

Sat Jan 19 19:39:49  Maxim Koshelev  <mdem@chat.ru>

	* dlist.cc: fixed add downloading from scheduler;
	* main.cc: code cleanups;

Fri Jan 18 11:14:28  Maxim Koshelev  <mdem@chat.ru>

	* dlist.cc: fixed segfault when delete downloads with Shift,
	code cleanups for future implementations;
	* main.cc: fixed adding from command line, fixed pressing 'ok'
	in 'properties of the download' dialog when it was opened before
	stopping the download;
	* face/lod.cc: different icons for 'connecting' state;
	* face/addd.cc: do not show 'use default cfg' check button when
	editing 'common' properties;
	* config.cc, face/edit.*, var.*, face/prefs.*, httpd.cc: added option
	to ignore ETag changes;

Thu Jan 17 11:41:53  Maxim Koshelev  <mdem@chat.ru>

	* many_files: added ability to setup 'defaults' settings for the downloads;
	* dqueue.*, face/qtree.*: every queue has own 'default' path to save downloads;
	* face/pixmaps: cleanups some icons;
	* face/list.cc: fixed run new downloads after stoping;

Wed Jan 16  9:45:31  Maxim Koshelev  <mdem@chat.ru>

	* many_files: properties of the downloads store settings for both proxies;
	* face/fsched.cc: close scheduler window by ESC;
	* face/filtrgui.cc: close filters window by ESC;
	* face/mywidgets.cc: close misc dialogs by ESC;
	* face/lod.*: 9 gradations of the run icons;
	* face/pixmaps: new icons for queues of downloads;
	* dlist.cc: fixed tDdownload::prepare_splits() after implementing
	alternates;

Tue Jan 15 10:40:06  Maxim Koshelev  <mdem@chat.ru>

	* dlist.cc: fixed determine filesizes when searching through the proxy;
	* fsearch.cc, alt.*, dlist.cc: added basic support for alternative links;
	* http.cc: fixed loading "Chunked" encoded data;

Mon Jan 14 21:42:37  Maxim Koshelev  <mdem@chat.ru>

	* face/qtree.cc: another way to hilight rows when DnD from queue to queue;

Sun Jan 13 11:57:26  Maxim Koshelev  <mdem@chat.ru>

	* cookie.*, locstr.cc, http.cc: work with cookies as described
	in netscape's specifications;

Sat Jan 12 16:39:02  Maxim Koshelev  <mdem@chat.ru>

	* httpd.cc, client.*, http.*: begin to implement persistent connection
	over HTTP, first stage of 'chunked' data types;
	* dlist.cc: implemented persistent connections;

Fri Jan 11 10:19:25  Maxim Koshelev  <mdem@chat.ru>

	* face/qtree.cc: it's allowed to limit number of active
	downloads in queue to zero;
	* po/nl.po: Dutch translation updated;
	* many_files: replaced "Download link as file" by "Follow symbolic links";

Thu Jan 10  9:50:48  Maxim Koshelev  <mdem@chat.ru>

	* face/edit.cc: allow enter empty password;
	* main.cc: code cleanups;
	* segments.cc: fixed displaying 0% after completing;
	* cookies.*: storing own cookies to file;

Wed Jan 09 12:39:39  Maxim Koshelev  <mdem@chat.ru>

	* dlist.cc, cookie.*: rewritten cookies coode;
	* httpd.cc, hproxy.cc: D4X accepts cookies now;

Fri Dec 28 12:08:12  Maxim Koshelev  <mdem@chat.ru>

	* dlist.cc: remove cookie if it's too old;

Thu Dec 27 11:17:45  Maxim Koshelev  <mdem@chat.ru>

	* face/qtree.cc: fixed revert color of row back after canceling DnD;
	* many_files: code cleanups;

Mon Dec 17 11:28:30  Maxim Koshelev  <mdem@chat.ru>

	* ftpd.cc, ftp.*: improved getting filesize, code cleanups;

Sun Dec 16 18:04:13  Maxim Koshelev  <mdem@chat.ru>

	* sndserv.cc: fixed memory leak;

Fri Dec 14 14:38:40  Maxim Koshelev  <mdem@chat.ru>

	* segments.*: code cleanups;
	* face/misc.*: added d4x_eschandler_init() routine;

Thu Dec 13 11:30:20  Maxim Koshelev  <mdem@chat.ru>

	* main.cc, config.cc, var.*, face/prefs.cc: added option for changing mode
	of traffic graph, Common preferences window is more beautyful now;

Wed Dec 12 13:13:26  Maxim Koshelev  <mdem@chat.ru>

	* face/qtree.*: colorify row during "drag_motion";
	* main.cc, dqueue.*, face/lod.*: inherite settings when create
	subqueue;
	* meter.*, face/list.cc: added new mode for traffic graph;

Tue Dec 11 11:48:49  Maxim Koshelev  <mdem@chat.ru>

	* savelog.*, face/list.*, face/lod.*: implemented saving list to file
	and loading from file;
	* config.cc, var.*: saving interface to config;
	* face/qtree.*, face/lod.*: first implementation from DnD from one queue
	to another;

Mon Dec 10 23:11:26  Maxim Koshelev  <mdem@chat.ru>

	* many_files: completely implemented basic "Multiqueueing";

Sun Dec 09 16:47:57  Maxim Koshelev  <mdem@chat.ru>

	* main.cc, dqueue.*, face/qtree.*: implementing function to manage queues;

Thu Dec 06 17:17:28  Maxim Koshelev  <mdem@chat.ru>

	* manyfiles: begining to implement tree of queues;: 

Tue Dec 04 17:17:28  Maxim Koshelev  <mdem@chat.ru>

	* main.cc: fixed redirection :-);

Sun Dec 02 14:09:52  Maxim Koshelev  <mdem@chat.ru>

	* main.*, dlist.*: continue to cleanups code;
	* dqueue.cc: fixed initing mutex;

Sat Dec 01 23:12:25  Maxim Koshelev  <mdem@chat.ru>

	* main.*, fsearch.cc: continue to butify splited downloads;

Fri Nov 30 16:30:03  Maxim Koshelev  <mdem@chat.ru>

	* main.*, dlist.*: splited download was rewritten!;
	* html.cc: fixed memory leak if '<!--' is found in
	HTML file;

Thu Nov 29 17:13:18  Maxim Koshelev  <mdem@chat.ru>

	* main.*, dlist.*, dqueue.*, var.*, face/list.cc: partialy implemented
	asynchronus run/IO;

Wed Nov 28 10:44:07  Maxim Koshelev  <mdem@chat.ru>

	* manyfiles: begining to transform all routines and structs
	related with Queue of Downloads to separate class;

Mon Nov 26 12:15:02  Maxim Koshelev  <mdem@chat.ru>

	* main.cc, dlist.cc: code cleanups;

Fri Nov 23 14:09:46  Maxim Koshelev  <mdem@chat.ru>

	* face/edit.cc: interface cleanups;

Thu Nov 22 16:08:34  Maxim Koshelev  <mdem@chat.ru>

	* main.cc: change state of new download to 'wait' when adding via control
	socket (if download already in queue);
	* config.cc, srvclt.*: added --stop comand line parameter;

Mon Nov 21 16:08:34  Maxim Koshelev  <mdem@chat.ru>
	* main.cc: do not store logs when run without interface;

Sun Nov 18 11:24:27  Maxim Koshelev  <mdem@chat.ru>

	* config.cc : fixed broken --ls URL;
	* po/: make update-po, Russian locale uptodated;
	* face/about.cc: updated about dialog;

Fri Nov 16 10:54:18  Maxim Koshelev  <mdem@chat.ru>

	* face/prefs.cc: continue to working under preferences window,
	some cleanups;
	* po/es.po: updated Spanish translation by Gustavo D. Vranjes;
	* html.cc: fixed changing links in HTML file;

Thu Nov 15 10:10:20  Maxim Koshelev  <mdem@chat.ru>

	* main.cc, client.*, var.cc, face/prefs.cc, face/edit.cc: added ability
	to add directories during FTP-recursion to the top of queue;
	* face/list.cc: do not allow to resize main window less then 400x200;
	* face/prefs.*: first attempt to avoid window resizing;

Sat Nov 10 22:46:17  Maxim Koshelev  <mdem@chat.ru>

	* face/graph.cc: optimize graph drawing;

Fri Nov 09 21:08:35  Maxim Koshelev  <mdem@chat.ru>

	* face/prefs.cc: extend "default anonymous pass" entry to 256 symbols;
	* face/list.*, config.*: added '-geometry' command line parameter;
	* dlist.*: code cleanups, real fix for redirection to another host when
	'allow leave' is turned off;

Thu Nov 08  7:39:25  Maxim Koshelev  <mdem@chat.ru>

	* dlist.cc: fixed redirection to different host when recursing is turned on;

Wed Nov 07 20:30:27  Maxim Koshelev  <mdem@chat.ru>

	* face/list.cc, face/prefs.cc, var.*, config.cc: added ability to turn off remembering position
	of the main window;

Thu Nov 01 16:50:05  Maxim Koshelev  <mdem@chat.ru>

	* manyfiles: code cleanups;
	* face/edit.cc, face/addd.cc: if clipboard contains URL paste it when select "Automatic adding";

Tue Oct 30 15:43:54  Maxim Koshelev  <mdem@chat.ru>

	* face/dndtrash.cc: continue cleanups;

Mon Oct 29 19:37:17  Maxim Koshelev  <mdem@chat.ru>

	* face/dndtrash.cc : call class->draw instead of gtk_widget_draw()
	of DnD-basket's pixmap for speed;

Sun Oct 28 13:22:01  Maxim Koshelev  <mdem@chat.ru>

	* face/list.cc: new icon as window's icon for main window;
	* face/dndtrash.cc, pixmaps/dndtrash*: new icons from Kurt Haribo!, some code rewritten to accept any icons;

Thu Oct 25 18:31:18  Maxim Koshelev  <mdem@chat.ru>

	* main.cc: fixed redirection from HTTP to FTP (added some days ago :-),
	show maximal number of attempts for splited downloads;

Mon Oct 22 15:12:58  Maxim Koshelev  <mdem@chat.ru>

	* main.cc, face/addd.cc: select apropriate download when trying
	to add the same download twice;

Sun Oct 21 17:20:59  Maxim Koshelev  <mdem@chat.ru>

	* config.cc, srvclt.cc, srvclt.h, main.cc : --ls now works without
	parameters too;

Fri Oct 19 18:39:47  Maxim Koshelev  <mdem@chat.ru>

	* ftp.cc: real workarroun if file was changed on server and become
	smaller;
	* face/edit.cc: "pause just after adding" is on if download is paused;
	* po/ru.po: fixed typos;
	* many files: code cleanups, remove some settings related variables
	from tDownload to tCfg;

Thu Oct 18 14:50:46  Maxim Koshelev  <mdem@chat.ru>

	* dlist.cc: code cleanups (yesterday's changes);
	* ftp.cc:  some cleanups in "resuming not supported" detection code;
	* segments.cc: fixed problems with "wrong segmentation info" for
	one threaded downloads;
	* face/log.cc: fixed opening remembered log for splited downloads
	if it's last;

Wed Oct 17 18:37:37 2001
	*dlist.cc: fixed problems with redirection when "change links in
	HTML file to local" was set;

Tue Oct 16 17:46:25 2001
	*mainlog.cc,face/lod.cc[h]: dblclick on error in mainlog will scroll
	queue of downloads and select download with error;

Tue Oct  9 16:24:56 2001
	*face/list.cc: progress bar in status bar is resizable now;
	*signal.h: probably fixed compilation under UnixWare;

Mon Oct  8 00:40:25 2001
	*face/lod.cc,mywidget.cc,saveload.cc: compilation cleanups;

Sat Oct  6 13:44:19 2001
	*filter.cc: fixed matching tags;
	*httpd.cc[h],dlist.cc[h],locstr.cc[h]: added support for
	'Content-Disposition' parameter, allow HTTP recursing for splited
	downloads;

Fri Oct  5 13:20:01 2001
	*face/prefs.cc: code cleanups for compilation under UnixWare;
	*hproxy.cc: more nice output of "sending request to proxy";

Sat Sep 29 17:20:55 2001
	*face/list.cc: fixed placing main window under different WM;

Thu Sep 27 10:27:05 2001
	*filter.cc: fixed rule matching;
	*dlist.cc: fixed filtering redirected urls;
	*main.cc[h],face/buttons.cc,dlist.cc[h]: code cleanups;

Wed Sep 26 18:46:35 2001
	*main.cc,face/lod.cc[h],savelog.cc: fixed storing order of download
	queue when run without interface;
	*srvclt.cc: fixed exiting by Ctrl+C;
	*[many files]: massive code cleanups;
	*main.cc[h],savelog.cc[h]: removed rutines to load old style queue;

Fri Sep 21 15:54:10 2001
	*html.cc: fixed recurse contain one file in root dir e.g. "/index.htm";

Sat Sep 15 18:52:15 2001
	*face/list.cc: fixed segfault on exiting when "Add new" windows
	are opened;
	*face/log.cc: revert back some autoscroll code;

Fri Sep 14 16:06:37 2001
	*eff.cc[h],sort.cc[h]: fixed duplicating links in the list,
	do not create list-window if no links found;
	*face/mywidget.cc: fixed closing window with list of URLs;

Thu Sep 13 18:46:35 2001
	*eff.cc: added '<','>',',' to bad_chars;
	*face/log.cc: fixed annoying blinks when switch logs of splited downlad;
	*face/saveload.cc,face/mywidget.cc[h],eff.cc[h]: added dialog which
	contains list of found URLs;

Wed Sep 12 16:06:25 2001
	*autoadd.cc: fixed work with params like {09-something};
	*sndserv.cc: another way to shutdown sound server thread;

Tue Sep 11 15:39:21 2001
	[BLACK DAY OVER THE WORLD]
	*main.cc: continue to work under formula;

Sun Sep  9 19:35:06 2001
	*main.cc: new formula to calculate remaining time;
	*face/dndtrash.cc: added tolotips to traffic limitations menu items;

Sat Sep  8 12:22:14 2001
	*po/: fixed some translation, Russian is updated as usual;
	*nt.cc: release 1.29;
	*face/dndtrash.cc: added autoadding menu item to DnD basket's menu;

Fri Sep  7 19:17:54 2001
	*cookies.cc: open Mozilla's cookies file if it's newer than Netscape's
	one;
	*var.cc[h],config.cc,dlist.cc,filter.cc[h],face/edit.cc[h],
	face/prefs.cc: added filter to default properties;

Thu Sep 6 15:20:11 2001
	*face/addd.cc: "Stop download just after adding" now works for automated
	adding;
	*hproxy.cc: fixed segfault when load via HTTP proxy something which is
	needed authorisation;
	*face/log.cc: fixed segfault when change number of threads to lower
	value and open log;

Wed Sep  5 17:37:45 2001
	*fsearch.cc,dlist.cc[h],main.cc,face/lmenu.cc,face/fsface.cc:
	added ability to do FTP-search even if fileseze is unknown;
	*main.cc,dlist.h: some cleanups for splited downloads;

Tue Sep  4 17:29:21 2001
	*filter.cc[h],face/mywidget.cc[h],dlist.cc: added entry for parameter
	of URL to a rule of a filter;
	*main.cc: add "startup" event just before gtk_main();
	*po/: updated Ukrainian translation by Cawko Xakep;
	*ftpd.cc[h]: fixed weird memory deallocation bug;
	
Fri Aug 31 21:50:56 2001
	*filter.cc[h],face/mywidget.cc[h],dlist.cc: added HTML-tag field
	into rule of a filter;

Fri Aug 24 21:50:56 2001
	*face/list.cc[h],face/edit.cc[h],face/addd.cc[h]: added normal
	download's preferences for automated adding feature; fixed memory
	leak when "automated adding" match more than 1000 URLs;
	*po/pl.po: updated Polish translation by Grzegorz Kowal;

Wed Aug 22 15:16:16 2001
	*Makefile: uncoment back sound support;
	*face/list.cc,face/lmenu.cc[h]: added shortcut for "Protect" action;
	*aoutadd.cc: fixed working with params like {01-90};

Tue Aug 21 19:06:10 2001
	*face/prefs.cc: added back "Default premissions";
	*face/list.cc: one word fix for auto scrolling of main log;

Sat Aug 11 21:31:56 2001
	*face/dndtrash.cc: fixed appearing DnD basket in stored coords under
	fvwm2, fixed moving DnD basket under Window Maker;

Fri Aug 10 15:01:09 2001
	*face/[many files],socket.cc[h],socks.cc[h],download.h: fixed
	compilation under Solaris;
	*ping.cc: replace 'nanosleep()' by 'usleep()' which seems to be
	more portable;
	*mywidget.cc: fixed colors selection under Solaris;
	*addr.cc: fixed recursion through HTML files;
	*html.cc: fixed saving changed links;
	*face/addd.cc: fixed moving the downloads to the scheduler after
	implementing common properties for selected downloads;

Tue Aug  7 23:31:51 2001
	*html.h: probably fix for wrong html recursion;
	*socket.h: fixed warning on some compillers;
	*po/he.po: updated Hebrew translation from Oren Held;

Fri Aug  3 13:45:38 2001
	*schedule.cc[h]: save scheduler if it was changed;

Thu Aug  1 13:45:38 2001
	*main.cc: fixed adding to the top when list is empty;

Tue Jul 31 20:00:49 2001
	*manyfiles: interface cleanups from Anton Voloshin and
	from Leandro A. F. Pereira;

Thu Jul 19 13:37:25 2001
	*face/log.cc: code cleanups;
	*ftpd.cc: imroved FTP workarounds for buggy servers;
	*autoadd.cc: extended "autoadd" abilities;

Wed Jul 18 15:36:54 2001
	*main.cc,face/lod.cc[h],face/list.cc,config.cc[h],var.cc[h]: storing
	current visible part of list of downloads;
	*ftpd.cc: fixed getting size, code cleanups;
	*nt.cc: fixed setting locale;
	*autoadd.cc: extended "autoadd" ability;

Mon Jul 16 16:06:19 2001
	*sm.cc[h],sndserv.cc[h]: added copyrights;
	*autoadd.cc[h],face/list.cc: added ability to add many downloads using
	only one expression;

Sun Jul 15 02:25:09 2001
	*face/list.cc[h]: code cleanups;
	*face/dndtrash.cc: fixed problems with positioning DnD basket; 
	*main.cc: fixed deleting downloads when work without interface;

Tue Jul 10 00:43:23 2001
	*nt.cc: popup main window if D4X is already run;
	*ftpd.cc: retries number begin from 1 for downloads which use
	already opened socket;

Mon Jul  9 00:36:26 2001
	*main.cc[h],face/edit.cc[h],face/add.cc: added ability to add download
	to the top of queue of downlods;

Sun Jul  8 00:24:15 2001
	*db.cc[h]: fixed redirection to the same host but with different port;
	*main.cc,dlist.cc[h],face/lod.cc[h],face/lmenu.cc: added ability to
	protect downloads from be deleted from a queue;

Mon Jul  2 00:29:15 2001
	*po/uk.po: Ukrainian translation from Olexander Kuntytsa;

Sat Jun 30 14:15:07 2001
	*face/edit.cc: port of proxy server is stored in history now;
	*config.cc: fixed storing default limitation of number of connection
	to the host;

Thu Jun 28 10:32:04 2001
	*face/lod.cc: code cleanups;
	*hproxy.cc,http.cc,httpd.cc: bad error codes from HTTP-proxy are non
	fatal now;

Sat Jun 23 14:09:52 2001
	*face/about.cc: added one more translator;
	*nt.cc: release 1.27;

Fri Jun 22 17:10:18 2001
	*face/lod.cc: fixed srorting by status column;
	*Makefile,main.cc: implement fixes for BSD from Andrey Ulanov;

Thu Jun 21 10:11:47 2001
	*dlist.cc: fixed sorting by percent after restart;
	*face/dnd.cc: fixed moving DnD basket;
	*face/lod.cc: implemented selecting/unselecting items of queue of
	downloads by wildcard;

Wed Jun 20 17:35:25 2001
	*face/lod.cc: implemented sorting queue of downloads in both
	directions;
	*ftp.cc: fixed displaying red arrow even if resuming is supported
	by FTP-server when socket is used again;
	*po/bg.po: new Bulgarian translation in CP-1251 codepage from
	Iordan Pavlov

Sat Jun 16 14:45:02 2001
	*sm.cc[h],dlist.cc[h],download.cc[h],ftpd.cc[h],httpd.cc[h],
	hproxy.cc[h],client.cc[h],var.cc[h],main.cc: using one socket for FTP
	downloads many times has been implemented;
	*mainlog.cc: "clear log" menu item is innactive if it is empty;
	*face/list.cc: extensions in settings of clipboard monitor  are case
	insensetive now

Thu Jun 14 19:52:18 2001
	*main.cc: oops, added initing global mutex;
	*sm.cc[h]: begin to implement new cool feature!;

Sun Jun 5 19:52:18 2001	
	*ftpd.cc: fixed determinating file type if LIST command have returned
	nothing;

Thu May 31 15:23:11 2001
	*segments.cc,queue.cc[h],dlist.cc: code cleanups, threads of splited
	downloads are sorted now by shift in file;

Thu May 24 22:59:36 2001
	*sndserv.cc: some code cleanups and fixes;

Mon May 21 13:45:00 2001
	*sounds/dnd.wav: changed DnD sound;
	*face/*: setup wm class for all windows;
	*face/lod.cc: fixed breaking queue after sorting;

Fri May 18 17:48:58 2001
	*hproxy.cc: fixed loading from non anonymous FTP servers via HTTP
	proxy;
	*Makefile,sndserv.cc: code cleanups, added ability to compile without
	OSS support;

Thu May 17 17:01:33 2001
	*face/buttons.cc: code cleanups;
	*dlist.cc[h],main.cc: only last thread of splited downloads will
	rename file and write info into Descript.ion file;

Wed May 16 17:27:31 2001
	*face/lod.cc: sorting of whole queue by status and percentage has
	been implemented;

Tue May 15 17:27:31 2001
	*face/lod.cc: sort whole queue by Shift+click on a column, sorting
	is implemented only by size and filename;
	*signal.cc: fixed unblocking SIGUSR1 for download threads;
	*dlist.cc: fixed writing 'Descript.ion' file;

Sun May 14 13:40:10 2001
	*html.cc: fixed recuse HTML with BASE tag;
	*main.cc[h],srvclt.cc[h],nt.cc: code cleanups;

Sat May 12 16:37:18 2001
	*main.cc,sndsrv.cc[h]: code cleanups, fixed segfault at exit;
	*http.cc[h],client.cc[h],ftp.cc[h]: changes for future implementations;
	*socket.cc,ftp.cc: code cleanups; 

Fri May 11 13:20:49 2001
	*face/edit.cc: press ok by Enter;
	*sndsrv.cc[h]: fixed blocking signals for sound server;
	*main.cc,srvclt.cc[h],config.cc: added --del command line option;

Mon May  7 13:49:41 2001
	*sounds/dnd.wav: drop sound was changed;
	*segments.cc: fixed blocking interface when progress bars in 
	third mode;
	*ftp.cc: more inteligent "LIST";

Sat May  5 09:42:18 2001
	*log.cc: fixed closing log by ESC;
	*dlist.cc: fixed locking file;
	*html.cc,main.cc: fixed redirection;

Fri May  4 15:41:59 2001
	*locstr.cc[h],filter.cc: added ability to use '?' sign in filters'
	wildcards, filename wildcard is case insensetive now;

Wed May  3 17:43:07 2001
	*face/buttons.cc: current progress mode in tooltip of the button;
	*log.cc,face/log.cc: remember log of splited download;
	*main.cc: fixed exiting by SIGINT/SIGTERM, no sounds when run without
	interface;

Mon Apr 30 23:03:13 2001
	*main.cc: code cleanups;

Mon Apr 30 02:39:45 2001
	*var.cc[h],sndserv.cc[h],face/prefs.cc: interface for changing sounds
	has been implemented;

Sat Apr 28 13:19:45 2001
	*sndserv.cc[h],main.cc,Makefile,face/lod.cc,var.cc[h],config.cc
	nt.cc,sounds/: added sounds;

Fri Apr 27 13:19:45 2001	
	*wavplay.cc: begin to implement sounds;
	*po/it.po: is uptodated (m4rt);

Sun Apr 22 22:14:13 2001
	*po/tr.po: initial Turkish translation (!) by Gorkem Cetin;
	*po/it.po: updated Italian translation by m4rt;
	*po/fr.po: French translation is updated by Jerome COUDERC;

Sat Apr 21 17:13:54 2001
	*po/: Hebrew and Polish translation is uptodated;

Fri Apr 20 16:40:33 2001
	*nt.cc: release version 1.26;
	*face/filtrgui.cc: fixed duplicate rule names;

Thu Apr 19 18:57:15 2001
	*[many files]: fixed date of copyrights;
	*schedule.cc: fixed 'exit' action;
	*face/edit.cc: fixed loosing URLs in DB after changing properties of
	downloads, fixed scheduling download after changing start time;
	*main.cc: do not remove URL after redirection if new location already
	in queue;
	*po/el_GR.po: Greek translation is uptodate;

Wed Apr 18 21:49:39 2001
	*face/edit.cc: fixed editing "common properties";
	*main.cc[h],face/lod.cc[h],face/list.cc,face/columnst.cc: totaly
	changed method of working with CList of queue of downloads;
	*po/de.po: German translation is uptodated;
	*http.cc,hproxy.cc: do not send Referer if it's not set;
	*dlist.cc: fixed recurse when no filter set;

Mon Apr 16 14:53:21 2001
	*face/dndtrash.cc: fixed problems with screensavers and DnD basket :-);
	*face/edit.cc: double click in filter selection dialog will select
	filter;
	*schedule.cc[h],face/fsched.cc: added 'execute command' action
	in scheduler, fixed editing 'save list' action, fixed editing
	'add download' action;
	*dlist.cc: fixed speed limitation for seaprate splited download;

Sun Apr 15 14:18:26 2001
	*face/filtrgui.cc: save filters if they changed;
	*face/buttons.cc: save config if buttons bar relayered;
	*face/mywidget.cc: fixed memory leak in my file selector;

Sun Apr 15 04:45:25 2001
	*[many files]: completed filters system!;
	*buttons.cc[h]: added "Load" button on buttons bar;
	*httpd.cc: fixed parsing Content Range field of HTTP answer;

Fri Apr 13 23:37:06 2001
	*face/passface.cc: fixed displaing unused protos, fixed memory
	leak;
	*face/filtrgui.cc[h],face/mywidget.cc[h]: begin to implement GUI for filters;
	*filter.cc[h]: continue to implement filters;
	*mainlog.cc: fixed segfaulting at startup in some

Wed Apr 11 19:42:30 2001
	*socks.cc[h]: copyrights has been added;
	*filter.cc[h]: begin to implement filters;

Tue Apr 10 14:15:00 2001
	*face/misc.cc: DnD basket is sticky now;

Sat Apr  7 16:07:30 2001
	*face/buttons.cc: added "apply" button in buttons bar configure
	dialog, added scroller;
	*face/dndtrash.cc,face/misc.cc: fixed dragging from opera to DnD-basket,
	fixed memory leak on disabling DnD basket;

Fri Apr  6 18:38:22 2001
	*main.cc: fixed completing splited downloads;
	*face/buttons.cc[h],var.cc[h],config.cc,face/myclist.cc: added button
	for changing progress bars mode, added three different progress	bar
	modes;

Thu Apr  5 18:40:09 2001
	*face/buttons.cc,face/pixmaps/cfgbt.xpm: added ability to hide/show
	any button on buttons bar, code cleanups;
	*[many files]: SOCKS5 now works, remove old abilities to configure
	buttons bar;

Wed Apr  4 20:39:55 2001
	*main.cc: added handler ofr SIGPIPE signal;
	*socket.cc[h]: code cleanups;
	*socks.cc[h]: completed SOCKS5 protocol;

Tue Apr  3 19:17:48 2001
	*socks.cc[h]: begin to implement SOCKS5 proxying protocol;

Mon Apr  2 20:59:15 2001
	*main.cc: fixed counting number of connections to host with splited
	downloads;
	*dlist.cc: fixed stoping splited downloads when not all thread was run;

Thu Mar 29 21:55:23 2001
	*dlist.cc,download.cc[h],face/edit.cc,config.cc,var.h: added ability
	to set up cookie string for a site;

Tue Mar 27 15:12:26 2001
	*nt.cc: releasing 1.25;
	*face/about.cc: rearrange translators;
	*config.cc,var.cc[h],face/prefs.cc,ftpd.cc: added ability to specify
	password for anonymous FTP user;

Sat Mar 24 13:06:14 2001
	*face/log.cc: fixed auto scrolling with buggy GTK;
	*[many files]: code cleanups;
	*face/edit.cc: fixed memory leak at combo creation;
	*main.cc,nt.cc: continue code cleanups;

Fri Mar 23 17:57:34 2001
	*[many files]: code cleanups related with memory freeing;
	*main.cc,fsearch.cc: fixed stoping FTP-search tasks at the exit;
	*po/ru.po: Russian translation updated;
	*po/ko.po: Korean translation updated;

Thu Mar 22 19:27:56 2001
	*main.cc,cookie.cc,fsearch.cc: fixed freeng memory;
	*lockstr.cc: code cleanups;
	*segments.cc: fixed memory leak;

Wed Mar 21 18:20:58 2001
	*mainlog.cc: added ability to output colorified information when run
	without interface;
	*main.cc: fixed completing and stoping splited downloads;
	*signal.cc: code cleanups;
	*config.cc,var.h,face/edit.cc[h]: ability to edit Referer for download;
	extra command line option;

Tue Mar 20 13:10:01 2001
	*face/prefs.cc: fixed DnD basket disabling/enabling via preferences;
	*face/edit.cc: extra check for "/" in file entry;
	*face/about.cc[h],list.cc,lod.cc,buttons.cc: all confirmation dialogs
	have a check button "Don't ask next time"; Fixed delete failed when
	confirmation disabled; fixed disable confirmation for "Delete all"
	action;
	*face/fsched.cc: double click bring "Edit" dialog;
	*face/fsface.cc: nothing to do if click right mouse button not on the
	row;

Mon Mar 19 21:58:08 2001
	*var.cc,face/prefs.cc: extend "Max lines in main log" entry;

Sun Mar 18 17:07:26 2001
	*face/myclist.cc: always using NORMAL style for progress bars in
	queue of downloads;
	*dlist.cc,face/lod.cc: now save size info into file;

Sat Mar 17 16:25:41 2001
	*po/pl.po: Polish translation updated;
	*httpd.cc: fixed HTTP 1.0 again :-);

Fri Mar 16 15:31:22 2001
	*dlist.cc: write URL in Descript.ion;
	*po/pt_BR.po: removed fuzzy marks;
	*face/edit.cc: fixed filling description entry;

Thu Mar 15 15:17:20 2001
	*main.cc,download.h: preventing unlimited rederections;
	*face/edit.cc[h]: file entry will contain filename of file from
	url entry;
	*httpd.cc: fixed working with HTTP 1.0 ContentRange answer;
	*dlist.cc: fixed opening file when locking does not supported by
	filesystem; remove segments file when file not found on HTTP server;
	*po/pt_BR.po: updated Portugues Brasillian translation;

Wed Mar 14 15:17:20 2001
	*Makefile, signal.cc: fixed compiling under FreeBSD;
	*ftpd.cc[h],dlist.cc: trying to download a file even if CWD
	failed;
	*mainlog.cc[h]: double click on a row with error will bring a log
	window of a download;

Tue Mar 13 17:20:06 2001
	*dlist.cc: fixed broken recursion via HTTP when links is not
	changed;
	*html.cc: commented out one tag with STYLE field;

Tue Mar 13 09:03:21 2001
	*nt.cc: releasing 1.24;
	*var.cc: fixed default settings;

Mon Mar 12 09:09:47 2001
	*po/: Spanish and Greek translations is uptodated;
	*face/misc.cc: included string.h (compiled under RH70);

Sat Mar 10 15:28:41 2001
	*main.cc: code cleanups;
	*dlist.cc,html.cc[h]: implemented writing HTML file for emulation
	redirection; improved detection url in "http-equiv=Refresh";
	code celeanups;
	*face/fsched.cc: combos instead of simply entries in scheduler's
	dialogs;
	*addr.cc: fixed composing pathes while recursing;
	*po/de.po: German translation is uptodate;

Fri Mar  9 13:26:37 2001
	*face/list.cc: added ability to copy link to clipboard;
	*face/lod.cc[h],face/dndtrash.cc: DnD from Opera is supported now;
	*html.cc: fixed adding links with '#' symbols;
	*po/: updated Chinese and Hebrew translations; 

Wed Mar  7 17:48:17 2001
	*lmenu.cc: begin to implement ability to copy link into clipboard;
	*html.cc: fixed writing comments into changed HTML file;

Tue Mar  6 10:10:54 2001
	*dlist.cc,html.cc: completed changing links in HTML file; fixed parsing
	HTML files;

Sun Mar  5 15:05:54 2001
	*dlist.cc,html.cc: continue to work inder changing links;

Sun Mar  4 15:05:54 2001
	*[many files]: added ability to fix links in HTML files;
	*po/fr.po: updated french localisation;

Sat Mar  3 19:44:07 2001
	*face/myclist.cc: fixed displaying progress bar when width of progress
	less than 2;
	*dlist.cc[h],html.cc[h]: code cleanups for feature extension; html
	parser uses less memory; begin to implement changing links in html
	file to local;
	*face/edit.cc: fixed disabling time selection for scheduled downloads;

Fri Mar  2 19:29:35 2001
	*face/lod.cc,face/dndtrash.cc: improved response of DnD animation;
	*dlist.cc: code cleanups;
	*ftp.cc: improved determination of file size;

Thu Mar  1 17:37:41 2001
	*face/dndtrash.cc,face/list.cc: redraw menu items if speed limit
	was changed;
	*ftpd.cc: fixed segfault on recursive downloading with symlinks;
	*schedule.cc[h],face/fsched.cc: added one more action, fixed removing
	selected actions;
	*[many files],po/Makefile: automated updating .po files;

Wed Feb 28 19:03:30 2001
	*dlist.cc,face/prefs.cc,var.cc[h]: added one more server for FTP search;
	*var.cc[h],prefs.cc,config.cc,dlist.cc: added new parameters of
	FTP search;
	*locstr.cc: fixed sscanf_int for nonint strings;
	*ftp.cc: fixed parsing preformated answers of PASV command;
	*dlist.cc: fixed displaing 'Restart this download from begining' in
	preferences of add_download action of scheduler;

Tue Feb 27 17:40:33 2001
	*dlist.cc[h],face/edit.cc[h],face/fsched.cc[h]: completed interface
	for scheduler;
	*scheduler.cc: fixed working with outdated tasks in scheduler;

Sat Feb 24 13:50:15 2001
	*main.cc[h],schedule.cc[h]: continue to implement scheduler;
	*face/sched.cc[h]: interface is almost completed! :-);
	*savedvar.cc,[all new files]: added copyrights;

Fri Feb 23 18:11:20 2001
	*face/fsched.cc[h]: continue implementing interface for scheduler;

Thu Feb 22 11:55:29 2001
	*face/fsched.cc[h]: begin to implement interface for scheduler;
	*schedule.cc[h]: continue implementing scheduler;
	*po/fr.po: new french locale from Jerome;

Wed Feb 21 19:13:07 2001
	*main.cc,dlist.cc,locstr.cc[h]: added more formaters for savepathes;
	*schedule.h: begin to implement scheduler;

Tue Feb 20 11:47:20 2001
	*main.cc,dlist.cc,locstr.cc[h]: ability to specify formaters for date
	in path where file/log will be saved;
	*main.cc,log.cc[h]: error message added if failed to open file
	where log will be saved;
	*face/prefs.cc: fixed applying "Confirmation" section in preferences;
	*po/: added old messages into po files;

Fri Feb 16 16:01:23 2001
	*ftpd.cc[h]: changed method to change dir on ftp;
	*face/list.cc: fixed segfault on exiting if "Add new" window opened,
	fixed getting sizes of mainwindow if it is hided;
	*face/fsface.cc: store width of ftp-search zone instead of mainlog's
	one;

Thu Feb 15 17:52:25 2001
	*ping.cc: minor fixes;
	*po/ja.po: fixed Japanieze translation by Kei Kodera;
	*dlist.cc[h]: implement file locking to avoid multiple writes from
	different threads;

Wed Feb 14 15:47:47 2001
	*locstr.cc: compose_path() has been rewritten;
	*face/edit.cc: code cleanups;
	*face/prefs.cc: fixed segfaulting;
	*html.cc[h]: improved http recursion;
	*ftpd.cc: improved parsing ftp lists;
	*[various files]: code cleaups;

Tue Feb 13 09:39:09 2001
	*segments.cc: fixed segmentation of file if last part is already
	downloaded;

Mon Feb 12 09:39:09 2001
	*ping.cc,face/fsface.cc,dlist.cc: ftp search was improved;

Tue Feb  6 19:45:20 2001
	*face/fsface.cc,ping.cc: more preicise pinging;

Mon Feb  5 12:55:28 2001
	*face/edit.cc,face/prefs.cc,download.cc[h],config.cc: added option
	for enabling/disabling checking time of remote file;

Sun Feb  4 21:53:01 2001
	*dlist.cc,segments.cc: imrovements with segmentation;

Sat Feb  3 11:35:56 2001
	*ping.cc[h],dlist.cc,face/fsface.cc: implement sorting by access
	speed for ftpsearch (yesterday's test version merged);
	*main.cc: using proxy in ftp search if it was set;

Thu Feb  1 10:51:09 2001
	*var.cc,segment.cc[h]: greatly improving perfomance of downloading;
	*face/edit.cc: code cleanups;
	*face/prefs.cc,var.cc[h],config.cc: added "pause after adding" option
	into main preferences;
	*face/lmenu.cc: disabling FTP-search menu item if it is unnaccessible;
	*dlist.cc: fixed segfault in tDList::remove_tmp_files();

Wed Jan 31 13:51:40 2001
	*dlist.cc[h]: code cleanups;

Tue Jan 30 13:51:40 2001
	*face/prefs.cc[h]: preferences dialog has been fully rewriten;
	*config.cc: more default downloading options in config;
	*face/edit.cc[h]: added "Auto" button for path to save log;

Mon Jan 29 13:51:40 2001
	*po/: Slovak and Polish translations is uptodate

Fri Jan 26 13:59:06 2001
	*many files,po/*.po: spell fixes;
	*config.cc: improved --ls option;

Thu Jan 25 12:46:45 2001
	*dlist.cc: attempts to do sorting of urls which was found during ftp
	search;

Wed Jan 24 14:19:41 2001
	*various files: code cleanups for better compatibility;
	*po/Makefile: support for old msgfmt;
	*po/*.po: cleanups for old msgfmt;

Tue Jan 23 11:40:18 2001
	*config.cc: fixed storing "load symbolic link as file" option;
	*dlist.cc[h],addr.cc[h]: implement writing of Descript.ion file,
	code cleanups;
	*Makefile: back some changes;

Mon Jan 22 10:50:37 2001
	*main.cc[h],config.cc,var.h,face/addd.cc[h],face/lod.cc,
	face/edit.cc[h]: new column in queue of downloads, getting description
	from Mozilla's drops;
	*Makefile: cleanups;
	*face/lod.cc: fixed DnD problems with Mozilla :-);

Sat Jan 20 11:39:36 2001
	*msgqueue.cc[h],main.cc[h],log.cc: replace msgqueue of SysV IPC by
	my own msg queue with real prosses ordering;
	*var.h: codecleanups;
	*face/log.cc[h],main.cc: codecleanups, fixed old memory leak while
	redraw logs;

Fri Jan 19 13:10:53 2001
	*face/list.cc: fixed enabling menu items for manipulations with
	failed downloads in main menu;

Thu Jan 18 16:25:42 2001
	*srvclt.cc[h],config.cc[h],db.cc[h]: added '--ls' command line option;

Wed Jan 17 09:10:02 2001
	*face/fsface.cc: fixed unnesessary overdraws;

Tue Jan 16 10:31:48 2001
	*main.cc,log.cc[h],download.cc[h],var.h,config.cc,face/edit.cc[h]:
	added ability to save log in file;
	*dlist.cc: saving logs of splited downloads in separate files;

Mon Jan 15 20:27:00 2001
	*main.cc: fixed doubled time;

Mon Jan 15 11:27:33 2001
	*main.cc[h],face/fsface.cc,fsearch.cc[h]: complete interface for
	ftpsearch;

Sat Jan 13 18:12:06 2001
	*main.cc[h],dlist.cc[h]: added ability to remove file from disk;
	*face/list.cc: selecting "delete downloads" with Shift key will
	remove files from disk;
	*face/fsface.cc: continue working under face for ftp search;

Fri Jan 12 11:25:43 2001
	*main.cc[h],face/list.cc[h],config.cc,face/fsface.cc[h],fsearch.cc[h]:
	begin to implement interface for ftp search;

Thu Jan 11 19:13:29 2001
	*main.h,fsearch.cc[h]: begin to implement interface for ftp search;

Wed Jan 10 10:09:30 2001
	*face/log.cc: fixed segfault on log switching for splited downloads;
	*main.cc,dlist.cc: logs of splited downloads will not be destroyed
	after completing;

Sun Jan  7 22:12:49 2001
	*face/edit.cc: fixed double url when pasted;

Sat Jan  6 17:13:47 2001
	*main.cc[h],face/lod.cc[h],dlist.cc: completed core of ftp searching;
	code cleanups;

Wed Jan  3 22:39:09 2001
	*main.cc,dlist.cc[h],addr.h: preparing for ftpsearch;

Fri Dec 29 11:27:15 2000
	*log.cc[h],main.cc,dlist.cc: fixed probability of segfault after
	destroing logs;

Thu Dec 28 09:42:28 2000
	*dlist.cc: new algorithm for spliting file;
	*client.cc[h],html.cc: code cleanups;

Wed Dec 27 11:32:10 2000
	*main.cc,dlist.cc[h],face/lod.cc: code cleanups;
	*face/list.cc,face/myclist.cc: changed mode of displaing percentage;
	*ftpd.cc,ftp.cc[h]: fixed config.retry feature;
	*dlist.cc: fixed rollbacking if file already loaded; fixed segmentation
	if file already loaded;
	*main.cc: fixed running and getting status for splited downloads;
	*po/zh_CN.BK.po: Chinese translation has been updated;

Tue Dec 26 10:24:18 2000
	*segments.cc,main.cc,dlist.cc: continue work with splited downloads;
	codecleanups;
	*face/log.cc: fixed segfaulting?;

Mon Dec 25 19:58:53 2000
	*segments.cc[h],main.cc,dlist.cc: continue implement resuming splited
	downloads;

Sun Dec 24 21:11:29 2000
	*many files: code cleanups;
	*main.cc,dlist.cc[h],segments.cc[h]: resuming splited downloads;

Sat Dec 23 09:21:50 2000
	*httpd.cc,ftpd.cc: truncating file to 0 if it was changed on server;

Fri Dec 22 09:30:19 2000
	*http.cc: limit http answer to 32 strings;
	*face/graph.cc: fixed graph drawing;

Tue Dec 19 09:57:02 2000
	*main.cc: set values in row of queue of downloads only after
	info has been retireved;

Sun Dec 17 12:35:23 2000
	*face/myclist.cc[h],face/lod.cc[h],main.cc: percentage in queue of
	downloads displaied via bars;
	*ftpd.cc: fixed getting date from string of ftp listing;

Sat Dec  9 13:14:23 2000
	*face/list.cc: the same value of downloaded percentage in status and
	in queue;
	*po/ko.po: Korean translation added;

Wed Nov 29 13:23:37 2000
	*dlist.cc: does not check for "javascript:" anymore;
	*db.cc: some additional dbc checks;
	*addr.cc[h],locstr.cc[h]: new method for parsing urls, global_url() was
	moved from locstr.cc[h] to addr.cc[h] and rewritten;

Mon Nov 20 09:55:49 2000
	*hproxy.cc[h]: Send username and password for site using `Authorisation'
	field of HTTP header;

Sun Nov 19 14:27:42 2000
	*face/lod.cc: hide Mozilla's names of dropped links; links dropped
	from ftp-mc is always 'ftp' now;

Sat Nov 18 11:09:40 2000
	*main.cc: fix loading local urls after redirections;

Fri Nov 17 12:00:00 2000
	*face/list.cc,locstr.cc: codecleanups;

Wed Nov 15 14:43:21 2000
	*face/list.cc[h],face/addd.cc: fill by latest content of selection
	if clipboard is empty;
	*locstr.cc[h]: fixed and cleanuped convert_to_hex();

Mon Nov 13 09:06:53 2000
	*po/sk.po: Slovak translation of 1.19;

Sat Nov 11 13:07:31 2000
	*signal.cc: completed fix for buggy routines of glibc :) ;

Thu Nov  9 13:07:31 2000
	*dlist.cc[h],main.cc: adding code for detecting time skews;

Sun Nov  5 14:39:50 2000
	*main.cc: does not setup remote dir if it's not absolute;
	fixed working without face;

Sat Nov  4 14:39:27 2000
	*face/dndtrash.cc: code cleanups;
	*face/buttons.cc[h],prefs.cc: values of speed limits in tooltips;
	*html.cc: fixed parsing after my comments skiping code;
	*dlist.cc: fixed truncating;

Fri Nov  3 10:16:09 2000
	*config.cc: set absolute path by -d commad line parameter;
	*face/dndtrash.cc: fixed "alwaysontop-ness" DnD trash can window;
	*ftp.cc[h]: *intelegent* algorithm for ftp listing;

Thu Nov  2 12:19:58 2000
	*dbc.h,savedvar.h,segments.cc[h]: added copyrights;

Wed Nov  1 12:19:58 2000
	*dlist.cc: double parsing fixed, implement  skiping remarks for
	faster parsing;
	*main.cc[h]: move routine which insert into WAIT queue to separate
	function;
	*segment.cc: destroy mutex when tSegmentator is destroyed, optimize
	saving into file;

Tue Oct 31 16:55:21 2000
	*segments.cc[h]: continue implementing code for resuming splited;
	*face/log.cc: stupid crash fix in log of splited downloads; changed
	fixed font to monowidth;
	*po/ja.po: Japaniese translation is uptodate;
    
Mon Oct 30 09:24:26 2000
	*segment.cc[h]: begin to implement code for resuming splited downloads;
	*signal.cc[h],speed.cc,log.cc,srvclt.cc: try to init all mutexes as 
	'fast' for all platforms;
	*po/: French and Russian translation is updated;

Thu Oct 26 18:30:21 2000
	*face/prefs.cc,nt.cc: last fixes befor releasing new version :)

Mon Oct 23 12:28:15 2000
	*face/list.cc: doesn't exit if "Add new" dialog opened;

Thu Oct 19 12:28:15 2000
	*main.cc: fixed wrong values of speeds of selected download in graph;
	*db.cc[h]: hash function of downloads' db was changed for speedup;

Tue Oct 17 11:06:55 2000
	*[number of files]: small patch for compilation under Solaris
	from Mitch DSouza;

Mon Oct 16 10:27:57 2000
	*[several files]: fixed compilation for some other platforms;
	*edit.cc,httpd.cc,prefs.cc,po/*: many spell fixes in English by
	David Chappell;

Thu Oct 12 21:15:45 2000
	*INSTALL.he,po/iw.po: yay! hebrew translation added! :);
	
Tue Oct 10 21:15:49 2000
	*[number of files]: fixed compilation under RH70 (gcc 2.96/2.95.2)

Sat Oct  7 17:42:43 2000
	*dlist.cc,cookie.cc: changed cookie db's code;
	*po/*.*: replace `trash' by `can';
	*main.cc: codecleanups;
	*addr.cc: added https in protos list;

Fri Sep 22 12:58:40 2000
	*main.cc,dlist.cc[h],face/list.cc,face/lmenu.cc[h],
	face/buttons.cc[h],face/dndtrash.cc[h]: code cleanups, added one menu
	item to dndtrash's menu;
	*signal.cc[h]: stop threads to new manner;

Thu Sep 21 13:28:01 2000
	*mainlog.cc,face/prefs.cc[h],face/list.cc: added new column in main log;
	added new menu item in mainlog's menu;

Sat Sep 16 12:38:51 2000
	*mainlog.cc: fixed thawing CList;
	*[many files]: C++ OO cleanups;

Fri Sep 15 12:38:51 2000
	*httpd.cc[h],hproxy.cc: fixed sending bad request via proxy, code
	cleanups;

Tue Sep 12 21:45:01 2000
	*main.cc,dlist.c[h],signal.cc[h]: workaround for bug in gethostbyname();
	*dlist.cc: fixed comparing addreses for adding in db;

Sat Sep  9 18:52:53 2000
	*http.cc: implement http-equiv="refresh";
	*locstr.cc: normalize_path() was rewritten;

Thu Sep  7 13:03:35 2000
	*ftp.cc: don't switch from passive to active mode if just timeouted;
	*face/edit.cc: dialog for editing properties of download was relayered;

Tue Sep  5 12:02:05 2000
	*dlist.cc[h],face/log.cc: changing title of log window even for splited
	downloads;
	*main.cc: minor optimisation;
	*dlist.cc[h],ftpd.cc,hproxy.cc: code cleanups;

Mon Sep  4 18:07:32 2000
	*httpd.cc: real fix for getting size first time;
	*[number of files]: code cleanups;
	*po/: Greek translation updated;
	*face/lod.cc: select first added row;
	*locstr.cc: cleanups;

Mon Aug 28 15:06:18 2000
	*main.cc: fixed setting recurse depth for splited downloads;

Sun Aug 27 14:26:37 2000
	*face/dndtrash.cc: only one row in tooltip;

Sat Aug 26 14:17:49 2000
	*face/dndtrash.cc[h],face/list.cc: DnD trash's tooltip show info
	about selected download;
	*po/: added new messages in .po files;

Fri Aug 25 11:19:47 2000	
	*http.cc: fixed status after reading http answer;

Thu Aug 24 11:19:47 2000
	*httpd.cc: fixed making pathes for storing files;
	*nt.cc: some additional extesion for catching in clipboard;
	*main.cc: fixed yesterday changes with redirection;
	*face/lod.cc: fixed working with gmc ftp urls; fixed blinking DnD
	trash by droping in queue of downloads;

Wed Aug 23 14:49:57 2000
	*nt.cc: added debug SIGSEGV handler;
	*main.cc: join threads after completing;
	*face/list.cc[h],face/dndtrash.cc: change behavior by double click
	on dndtrash;

Tue Aug 22 17:35:30 2000
	*[many files]: DBC style debug prechecks added;
	*dlist.cc: fixed very old probability of sefault;
	*face/edit.cc: change transient state for file/dir selection
	dialogs;
	*face/prefs.cc: the same for color selection;

Sun Aug 20 17:48:56 2000
	*addr.cc[h],main.cc: check for redirection to the same URL, code
	cleanups;

Sat Aug 19 10:47:17 2000
	*html.cc: fix probrability of segfaulting;
	*fac/lod.cc: sort active downloads by clicking on column's button;
	fixed some problems with invisible columns;

Thu Aug 17 10:21:10 2000
	*main.cc: primitive fix redirection for splited downloads;
	*ftp.cc: ftp realisation improved;
	*var.cc[h],config.cc,prefs.cc: added ability to show ftp dirs in logs;
	*client.cc,mainlog.cc: extra checking for NULL added;

Wed Aug 16 10:07:42 2000
	*dlist.cc,locstr.cc,face/prefs.cc: code cleanups, fixed setting default
	permissions;
	*download.cc: fixed segfaulting on ERROR_ACCESS;

Sun Aug 13 14:23:34 2000
	*main.cc,face/log.cc[h]: freeze logs before updating;

Wed Aug  9 09:16:47 2000
	*po/: nl.po and de.po updated;

Tue Aug  8 20:31:10 2000
	*var.cc: default password for ftp began from dash again;
	*edit.cc: dialog for selection common properties is unresizable;

Mon Aug  7 11:58:16 2000
	*face/list.cc: fixed double appearing of "quit" item;
	*locstr.cc: time always will be shown as xx:xx:xx instead of x:xx:xx;

Sun Aug  6 11:44:49 2000
	*ftp.cc: ftp realisation improved;
	*locstr.cc: make_number_nice show 0.9M instead 1000.xK;
	*main.cc,speed.cc[h]: global changes in traffic shaper algorithm,
	should be cleanuped;

Sat Aug  5 02:44:49 2000
	*signal.cc,main.cc: probably fixed problems with speedy logs :);

Fri Aug  4 11:15:16 2000
	*face/edit.cc[h],face/addd.cc[h],face/lmenu.cc: implement ability
	to edit common properties for selected downloads;
	*face/list.cc: fixed losing key accelerators;
	*main.cc,signal.cc: fixed normal shutdown by 'killall nt';

Fri Aug  4 01:04:53 2000
	*face/edit.cc[h]: begin to implement ability to edit common properties
	for number of downloads;
	*face/graph.cc: some cleanups;

Wed Aug  2 19:29:38 2000
	*srvclt.cc[h],config.cc: added extra option for setting timeout for
	exiting if nothing to do;
	*socket.cc: some optimisations;
	*main.cc: some code cleanups at runing new thread; exit 'if nothing
	to do' even if run without interface;
	*face/lod.cc,face/dndtrash.cc: do 'ref' for some pixmaps before using
	them; fixed blinking of dndtrash;

Tue Aug  1 16:53:46 2000
	*main.cc: fixed yesterday changes;
	*face/dndtrash.cc,face/lod.cc: implement blinking dndtrash icon when
	URL dropped;
	*ftpd.cc: fixed parsing string of ftp answer;
	*face/log.cc: fixed opening log windows for splited downloads;

Mon Jul 31 16:47:55 2000
	*main.cc,dlist.cc: fixed number of problems with splited downloads;
	fixed renaming file '.NAME' if only 'NAME' was used;

Fri Jul 28 17:13:21 2000
	*eff.cc: fixed segmentation fault when canceling finding links in file;
	*main.cc: if downloader can't run new thread it will decrement value
	of maximum active downloads;

Thu Jul 27 15:01:01 2000
	*face/graph.cc: code cleanups;
	*face/lod.cc: fixed segfaulting on continue opening log;
	*main.cc: changed algorithm for redrawing logs;
	*ftp.cc: some ftp improvements;
	*eff.cc[h],face/saveload.cc: ability to cancel finding links in file;

Wed Jul 26 20:13:51 2000
	*face/graph.cc[h],face/list.cc,face/prefs.cc: graphics of speeds now
	is widget! ; Fixed drawing graph;
	*main.cc: minor fixes in nano speed calculation;

Sun Jul 23 16:36:28 2000
	*eff.cc[h],face/saveload.cc: finding links in file is run in separate
	thread;
	*mainlog.cc: added %l formater for tMainLog::myprintf();
	*main.cc: print number of readed bytes at main log before exit;

Sat Jul 22 22:22:36 2000
	*misc.cc[h],edit.cc,prefs.cc,lmenu.cc[h]: interface cleanups:
	almost all entries always have size proportional to font size,
	"right mouse clicking menu" of queue of downloads is much better now;

Fri Jul 21 22:22:36 2000
	*download.cc,dlist.cc: codecleanups;

Thu Jul 20 23:19:41 2000
	*main.cc: more precise traffic shaper;
	*dlist.cc: fixed speed limitation for separate splited download;

Wed Jul 19 14:24:21 2000
	*config.cc: fixed segfaulting when config file didn't found;
	*main.cc: code cleanups;

Tue Jul 18 14:20:59 2000
	*face/list.cc,locstr.cc[h]: problem with '_' in filenames of saved lists
	is solved; added tooltips with pathes to files and accelerators;

Mon Jul 17 23:09:27 2000
	*face/list.cc,face/saveload.cc,var.h,config.cc: last saved lists will
	be stored in "File" menu;

Mon Jul 17 13:27:36 2000
	*edit.cc: replace my dialog for selecting time for scheduled downloads
	by GtkCalendar; 1:00 tonight selected by default;
	*var.h,locstr.cc[h],face/list.cc: fixed overflowing  number of readed
	bytes;

Mon Jul 17 01:47:57 2000
	*face/prefs.cc: cosmetic changes;

Thu Jul 13 17:52:12 2000
	*two weeks of rest: nothing to do :);
	*face/list.cc: fixed memory leak;
	*[number of files]: added option for "catching" extensions from
	clipboard instead of "skiping";

Thu Jun 29 10:32:05 2000
	*httpd.cc,ftpd.cc: fixed displaying number of attempts when limit
	reached;

Wed Jun 28 16:53:43 2000
	*[number of files]: added option for forcing run new downloads above
	specified limit;
	*prefs.cc: all clipboard settings are in separate folder now;
	*dlist.cc,http.cc: some fixes in retrying via http;
	*main.cc: fixed "exiting if nothing to do";

Sat Jun 24 09:20:04 2000
	*locstr.cc[h],ftpd.cc: codecleanups and fixes;

Fri Jun 23 15:36:49 2000
	*ftpd.cc: parsing date in dos style ftp listings;

Wed Jun 21 16:17:39 2000
	*[tree's structures and rutines]: code cleanups;

Fri Jun 16 16:39:20 2000
	*dlist.cc[h]: code cleanups;
	*ftp.cc: fixed some problems with reading ftp's answer;

Tue Jun 13 10:30:34 2000
	*download.cc[h],ftpd.cc,httpd.cc: minor code cleanups;
	*po: Dutch translation is updated;

Sat Jun  10 08:39:27 2000
	*[number of files]: now downloader compare file's time;
	*ftpd.cc: fixed parsing date from ftp listing;
	*dlist.cc: some code cleanups;
	*po: Polish translation updated;

Fri Jun  9 08:39:27 2000
	*nt.cc: releasing new version;
	*config.cc: fixed type of no_cache option;
	*po/: spanish and brazilian translation is updated;

Thu Jun  8 09:48:32 2000
	*ftpd.cc: fixed something was changed yesterday;
	*face/prefs.cc: minor interface cleanups;
	*po/: greek,french and chinese translations are updated;
	*face/list.cc: change size of status bar;
	*face/graph.cc: more precise graph drawing;

Wed Jun  7 21:29:10 2000
	*ftpd.cc: implemented authorisation on ftp proxy;
	*face/about.cc: changed about dialog;

Mon Jun  5 15:50:47 2000
	*httpd.cc: change default referer field;
	*[number of files]: added ability don't get from cache when download
	via ftp proxy;
	*ftpd.cc: minor code cleanups;

Sun Jun  4 15:16:14 2000
	*face/addd.cc[h],face/list.cc: added ability to open many "add new"
	windows; code cleanups;
	*face/log.cc: fixed remembering geometry of log window if it is closed
	by ESC button;

Sat Jun  3 15:16:14 2000
	*face/lod.cc: fixed geting position of log windows;
	*ftpd.cc: fixed default password for ftp;

Fri Jun  2 14:09:53 2000
	*face/list.cc: real proportional resizing!;

Thu Jun  1 11:11:54 2000
	*face/mywidget.cc: remove "Help" button from color selection dialog;
	*face/lod.cc: changed method of getting height of clist;
	*face/list.cc: heights of mainlog and of list will change proportionaly
	after resizing main window;

Wed May 31 12:19:17 2000
	*dlist.cc,httpd.cc,addr.cc: optimized parsing percents;
	*locstr.cc: continue fixes in parse_persents();

Tue May 30 18:10:13 2000
	*[number of files]: spell fixes;
	*po/pt_BR.po: updated;
	*dlist.cc: fixed ftp recursnig via http proxy;

Sat May 27 13:41:00 2000
	*speed.cc[h],main.cc: continue changing traffic shaper;

Fri May 26 15:22:19 2000
	*dlist.cc: fixed segfaulting after yesterday's changes;

Thu May 25 15:22:19 2000
	*[download engine's files]: code cleanups and minor fixes;
	*locstr.cc: fixed working parse_persents();
	*main.cc: coninue changing traffic shaper algorithm;
	fixed stopid splited downloads when first thread goes fail;
	*addr.cc: parsing-unparsing '%' before creating addr;

Wed May 24 19:10:29 2000
	*face/prefs.cc,locstr.cc: added new format for size fields;
	*config.cc[h]: option to run in minimized state;
	*face/edit.cc,face/addd.cc: closing add new dialog by ESC button;

Tue May 23 10:44:35 2000
	*var.cc[h],config.cc,face/lod.cc, face/prefs.cc: added confirmation
	for opening large amount of windows;
	*speed.cc: changed algorithm of traffic shaper;

Mon May 22 19:19:21 2000
	*face/list.cc: changed layer of status bar and info in pogress bar;
	*main.cc: removed debug printf;
	*dlist.cc: valid referer after recursing;
	*po/: Chinese translation updated;

Sun May 21 16:21:56 2000
	*face/buttons.cc: code cleanups, opening properties of downloads
	by right clicking on "Options" button;

Fri May 19 13:09:53 2000
	*[number of files]: added ability to setup default limitation;

Wed May 17 13:21:56 2000
	*face/prefs.cc: added button for reseting colors to defaults;
	*main.cc[h]: code cleanups, user can run download manualy if
	limit exceeded; Fixed problem with failing splited downloads;

Tue May 16 08:38:59 2000
	*nt.cc: releasing 1.16;

Mon May 15 19:28:28 2000
	*face/about.cc: added new translators;
	*po/: various translation are updated; Polish translation added;

Sat May 13 15:48:29 2000
	*face/log.cc: just switching to first log for splited downloads
	when downloading completed;
	*dlist.cc: message about completing for ftp downloads is appeared now;
	code cleanups;
	*addr.cc: fixed creating url from addr structure;
	*httpd.cc[h],hproxy.cc[h]: code cleanups, fixed loading
	files via proxy with different port num;

Fri May 12 19:16:24 2000
	*face/prefs.cc: doesn't reinit graph if colors not changed;
	*face/log.cc: radio buttons for splited downloads in the logs;
	fixed opening string for splited downloads;
	*face/buttons.cc: save button now pull down by right mouse clicking;
	*po/: fr.po updated (Jerome Couderc)
	*face/mywidget.cc: some optimizations;

Thu May 11 12:56:13 2000
	*face/mywidget.cc: my fileselection widget;
	*face/edit.cc,face/prefs.cc,face/saveload.cc: related code cleanups;
	"Browse" button is everywhere;
	*http.cc: able to load streams via http;
	*face/prefs.cc,face/graph.cc: added ability to select colors for
	graph of speeds;

Wed May 10 10:21:28 2000
	*face/log.cc: fixed slow rendering of logs for splited downloads;
	*mainlog.cc: freezing mainlog before clearing;
	*main.cc: fixed recursing and rollbacking for splited downloads;

Tue May  9 11:50:31 2000
	*face/log.cc: new log window for splited downloads;
	*ftp.cc,http.cc: fixed downloaded size calculation for splited
	downloads;
	*main.cc: extra message added; code cleanups;
	*face/saveload.cc: fixed setting path in file selector;
	*face/edit.cc: fixed apllying edit dialog;
	*dlist.cc: some code cleanups;

Mon May  8 10:13:39 2000
	*ftpd.cc,main.cc: continuing working for new feature;
	*face/log.cc: some cleanups;

Sun May  7 09:27:19 2000
	*socket.cc[h],ftp.cc: flushing socket before closing to avoid
	"brocken pipe" signal under Linux-glibc;

Sat May  6 16:21:26 2000
	*dlist.cc[h],main.cc[h]: first part of code for downloading in
	number of threads;
	*httpd.cc: fixes in http engine for splited downloads;
	*face/edit.cc: added entry for spliting;
	*eff.cc: improved extracting links;
	*face/limface.cc: fixed calculation already runed for host;

Fri May  5 17:44:23 2000
	*face/saveload.cc: save/load dialogs now modal;
	*main.cc: fixed redirection to local path;

Thu May  4 15:43:22 2000
	*eff.cc[h],face/list.cc: added ability to load URLs from ordinary file;
	*face/prefs.cc,var.cc[h]: option for fixed font in logs (default 'on');

Thu Apr 27 13:32:57 2000
	*db.cc,addr.cc[h], httpd.cc[h], hproxy.cc, dlist.cc: new method
	to decompose http urls;

Wed Apr 26 09:21:49 2000
	*httpd.cc,http.cc[h],hproxy.cc,main.cc: added automatic referer;
	*httpd.cc,dlist.cc,addr.cc: fixed unnessessary parsing %xx <-> char;

Mon Apr 24 17:30:52 2000
	*po/it.po: uptodate;
	*po/de.po,po/el_GR.po: uptodate;

Thu Apr 20 09:28:27 2000
	*nt.cc: Releasing new version 1.15;
	*Makefile: some reorganizations;

Wed Apr 19 10:02:25 2000
	*dlist.cc: fixed leaving server when recursing via http;
	*face/prefs.cc: new option is togled now by button above it;

Tue Apr 18 09:05:24 2000
	*httpd.cc: some fixes in ETag checking;
	*mainlog.cc,var.h[cc],face/prefs.cc: added ability to limit size of
	file of main log;

Sun Apr 16 18:19:29 2000	a_voloshin@mail.ru
	*Makefile,face/Makefile,po/Makefile: total optimization of Makefile;
	*mainlog.cc,ftp.cc,main.cc: segfaulting fixed;

Thu Apr 13 11:00:51 2000
	*addr.cc: cosmetic fix; 
	*httpd.cc,dlist.cc: fixed segfaulting while http recursing;
	*main.cc: i18n fixes;

Wed Apr 12 11:00:51 2000
	*[many files]: unnessessary #include was removed;
	*client.cc,mainlog.cc: fixed *printf function in logs realisations;
	*config.cc: fixed saving order of limitations;
	*main.cc: code cleanups, fixed saving list in period of time;
	*face/edit.cc: fixed initing checks;
	*httpd.cc,dlist.cc: removed make_dir_hier from generic code;
	added make_dit_hier_withou_last routine;

Tue Apr 11 09:41:05 2000
	*main.cc: completed ability to run without X :); fixed
	loading ny different users from one machine in one time;
	*locstr.cc: trying to fix compose_path();
	*face/edit.cc,download.cc[h],dlist.cc: added ability to restart download
	from begining;

Mon Apr  10 20:23:26 2000
	*main.cc,var.cc[h]: added ability to run without face;
	*config.cc[h],srvclt.cc[h],main.cc: added ability to rerun failed
	downloads via control socket;
	*httpd.cc,ftpd.cc: fix downloading part of file;

Sun Apr  9 20:23:26 2000
	*httpd.cc: fixed retrying when ETag field is changed;
	*ftpd.cc: fixed downloading separate part of file;

Sat Apr  8 16:50:16 2000
	*face/edit.cc[h]: face for new option;
	*locstr.cc: compose_path() was totaly rewritten;
	*download.cc[h],dlist.cc[h]: added one option for http recursion;
	*main.cc: some fixes;

Thu Apr  6 10:58:13 2000
	*[many files]: continue conversion...;

Wed Apr  5 19:10:29 2000
	*ftp.cc: ftp improvements;
	*po/de.po: updated; 
	*httpd.cc: added some skipped 'break's;
	*[all files]: total conversion to library architecture;

Tue Apr  4 08:26:27 2000
	*locstr.cc: fixed parsing %xx in urls... [:) too more cleanups];
	new format of numbers for size;
	*po/es.po: updated for version 1.14;
	*client.cc[h]: begin to develop new method to loging and writing;

Mon Apr  3 12:20:54 2000
	*main.cc,face/list.cc: added ability to rerun all failed downloads;
	*download.cc[h]: extra error messages was added, fixed memory leak
	when can't create symlink;
	*queue.cc,dlist.cc,speed.cc: some cleanups in queue realisation;

Fri Mar 31 11:42:20 2000
	*[almost all files]: get_something(), set_something replaced
	to tPStr::get() and tPStr::set();

Thu Mar 30 11:42:20 2000
	*download.cc: continuing code cleanups;
	*po/: Dutch and Greek translations updated;

Wed Mar 29 10:40:23 2000
	*download.cc,hproxy.cc: continue code cleanups;

Tue Mar 28 10:40:23 2000
	*[many of files]: f_wstr_lf(in,char *) was added, related cleanups;
	*[again many files]: global code cleanups;
	*main.cc: fixed segfaulting when redirected;
	*config.cc,srvclt.cc[h]: added command for asking amount of downloads
	in queue;

Mon Mar 27 14:06:48 2000
	*[many of files]: f_wstr(int,char *) was added, related code cleanups;
	*main.cc: fixed displaing info when downloading link as file;

Sun Mar 26 16:53:56 2000
	*main.cc: code cleanups; fixed speed scheduling at download starting;
	*addr.cc: code cleanups;

Sat Mar 25 11:11:03 2000
	*[many of files]: changes for normal compilation under BSD;
	*httpd.cc,download.cc,face/edit.cc: added ability to leave server
	while recursing via http;
	*speed.cc: setting pthread attributes;

Fri Mar 24 12:55:28 2000
	*face/list.cc,main.cc: main menu now is context hilighted;
	*face/buttons.cc: added ability to save queue into default list by
	right mouse click on button "Save" in buttons bar;
	*face/limface.cc: interface fixes;
	*face/edit.cc, face/prefs.cc: code cleanups and fixes;
	*main.cc,httpd.cc: some http fixes and code cleanups;

Wed Mar 22 15:32:05 2000
	*http.cc,main.cc,lod.cc: some cleanups;
	*face/dndtrash.cc: opening "add new" dialog by middlemouseclick
	on dnd trash;

Tue Mar 21 15:32:05 2000
	*face/limface.cc: now dialog for editing new element is modal
	for limits dialog;
	*main.cc,face/list.cc,var.cc[h]: implemented passwords system;
	*face/passface.cc[h]: face for passwords system;
	*config.cc[h],var.cc[h]: CFG_DIR,CFG_FILE variables was moved;
	*addr.cc[h],httpd.cc: some cleanups;
	*pass.cc[h]: began implement passwords system;
	*main.cc: fixed deleting all due yesterday changes;

Mon Mar 20 18:36:30 2000
	*face/lod.cc[h],face/list.cc,main.cc[h]: new method for deleting
	downloads from the queue [speed improvements];
	*speed.cc: probably fixed setting mutex's attributes for traffic
	limitations;

Sun Mar 19 18:36:30 2000
	*httpd.cc: rewrote parsing http answers;
	*addr.cc: finish something;
	*lod.cc: YES!, now size of list of downloads stored corectly;

Sat Mar 18 17:56:44 2000
	*many of files: rewrote protocols handling;

Thu Mar 16 11:26:58 2000
	stop to rest begin to work :)
	*locstr.cc: parse_precents() rewritten;
	*db.h: fixed bug of adding to db and searching with chars > 127;

Sat Mar 11 10:04:28 2000
	*face/list.cc,main.cc: saving config after clear list of downloads
	to avoid seting bad size;

Thu Mar  9 11:33:24 2000
	*face/list.cc,face/about.cc[h]: all confiramtions now is modal;

Tue Mar  7 10:19:42 2000
	*cond.cc[h]: almost completing writing skeleton of conditions;

Mon Mar  6 20:15:21 2000
	*cond.cc[h]: continuing writing "conditions";

Sat Mar  4 16:45:01 2000
	*cond.cc[h]: added some code for new "conditions" system;

Fri Mar  3 09:29:43 2000
	*po/ru.po: some spell fixes;
	*socket.cc: some compilation fixes;
	*face/dndtrash.cc: some type castings;

Thu Mar  2 12:32:50 2000
	*po/: added new message;
	*hproxy.cc: fixed sending cokies via http; referer field in requests
	to proxy now is equal to url :);

Tue Feb 29 10:53:09 2000
	*config.cc,mainlog.cc[h]: some code cleanups;

Mon Feb 28 09:32:05 2000
	*po/pt_Br.po: was updated;
	*main.cc,download.cc,face/edit.cc: added ability to download link
	as files;
	*main.cc,srvclt.cc: added new command for adding via control socket
	with popuping dialog;
	*po/nl.po: is uptodate!

Sat Feb 26 21:26:55 2000
	*log.cc,mainlog.cc,locstr.cc,var.h: replaced snprintf by g_snprintf();
	*locstr.cc: minor code cleanups;

Fri Feb 25 12:59:59 2000
	*srvclt.cc[h],main.cc: added ability to write message to the main log
	from a control socket; some code cleanups;
	*httpd.cc: fixed creating full path when user set another file name;

Thu Feb 24 10:17:35 2000
	*log.cc[h],face/log.cc: added row number column into logs;

Wed Feb 23 08:58:52 2000
	*main.cc: now stoping run downloads when delete all;
	*addr.cc[h],dlist.cc[h]: remove all tAddr functions and definitions
	to new file; 
	*srvclt.cc[h],main.cc,face/list.cc[h]: added ability to popup and
	iconify main window via socket;
	*mainlog.cc[h],face/list.cc: added one new column into main log;
	fixed minor bug related with brogress bar;

Tue Feb 22 14:36:35 2000
	*[many of files]: all string in tAddr now private;

Mon Feb 21 09:30:29 2000
	*main.cc: minor fix for BSD compilation; fixed memory leak when
	redirected;
	*http[d].cc[h], hproxy.cc: fixed authorisation;
	*dlist.cc: now ~tAddr() will delete .file (memory leak);

Sat Feb 19 13:43:00 2000
	*ftp.cc,socket.cc: continue trying to working on sparc;
	various fixes;
	*locstr.cc: put g_return_..._if_fail() everywhere;

Fri Feb 18 14:22:58 2000
	*face/log.cc,locstr.cc: now using fixed font for logs;
	*ftp[d].cc: continue ftp improvements;
	*mainlog.cc: fixed time of messages in saved file;
	*socket.cc: next attempt working on Sparc;
	*face/about.cc: about window now is modal;
	*face/list.cc, face/dndtrash.cc[h]: dndtrash moving rewrote;

Thu Feb 17 16:37:52 2000
	*ftp.cc: fixed BEGIENDIAN-LITTLEENDIAN problems, new method
	to detect last string in ftp answers;

Thu Feb 17 12:09:21 2000
	*ftpd.cc[h],download.cc[h],httpd.cc[h],hproxy.cc: new function 
	print_error() for centrlisation error output; minor fixes an cleanups
	in ftp; fixed probability of segfault (mistyping 5 instead of 1);
	*main.cc: fixed initing menu items at starting (now initing :);

Wed Feb 16 18:40:50 2000
	*http[d].cc,hproxy.cc,dlist.cc: fixed probability of segfaulting!

Wed Feb 16 08:59:49 2000
	*face/edit.cc: cosmetic fixes before releasing new version;
	*ftp.cc: new way to change directory if user not anonymous;
	*http.cc,httpd.cc[h],hproxy.cc: fixed memory leak and probability
	of memory leak; cleanups;

Tue Feb 15 12:04:10 2000
	*face/prefs.cc,face/about.cc: now closing by 'esc';
	*locstr.cc: changed routine for making tAddr from string
	for loading ~directory via ftp;
	*ftp.cc: various cleanups and fixes;

Mon Feb 14 13:49:03 2000
	*face/about.cc: codecleanups;
	*po/de.po: is uptodate;

Sun Feb 13 14:14:02 2000
	*cookies.cc[h]: added time of live for cookies;

Sat Feb 12 09:44:29 2000
	*face/*.*: code cleanups and minor fixes;
	*html.cc: added MANY of html tags; restore <base> functionality;
	*main/*.*: changed copyright date to 1999-2000;
	*po/de.po: is uptodate!;
	*main.cc: all messages about control socket now have blue color in
	main log;

Fri Feb 11 10:39:26 2000
	*main/[many of files]: code cleanups;
	*face/lod.cc: fixed displaying file size when change number of
	columns, code cleanups;
	*face/buttons.cc,face/lmenu.cc: codecleanups;
	*socket.cc: remove 'fd_set set' into object;

Thu Feb 10 09:30:18 2000
	*face/lod.cc: becouse there is a bug in gtk_clist_[un]select_all()
	so I add some code to avoid segfaulting;

Wed Feb  9 12:46:56 2000
	*face/list.cc,face/lod.cc[h]: added ability to select all downloads,
	and invert selection;

Tue Feb  8 12:50:08 2000
	*http.cc.hproxy.cc: small fix in http requests;
	*face/edit.cc[h],face/addd.cc: added ability to pause downloading just
	after adding;

Mon Feb  7 10:08:13 2000
	*face/list.cc,face/lod.cc[h],face/lmenu.cc: code cleanups, more
	fast moving in top and to bottom of queue, deleting elements and other;
	*face/lod.cc: if file size is known it will be visible in queue;
	*face/list.cc: added ability to unselect all downloads from menu;

Sat Feb  5 09:40:52 2000
	*face/list.cc: fixed not getting first copying in clipboard if it
	was empty before; code cleanups;
	*face/list.cc,face/buttons.cc[h],config.cc,var.cc[h]: added ability
	to configure buttons bar;
	*face/dndtrash.cc: code cleanups;
	*main.cc: amount of 'one time' server commands is limited to avoid
	lockups;

Fri Feb  4 07:54:41 2000
	*dlist.cc: fixed javascript: loading when recursing;
	*mainlog.cc[h]: added myprintf() for more clean code;
	*main.cc: using MainLog->myprintf();
	*po/*.*: replace %s to %z in some cases;
	*log.cc[h]: added myprintf();
	*ftpd.cc,httpd.cc,ftp.cc: using Log->myprintf();
	*config.cc: extra info added for '-i' command line parameter;

Thu Feb  3 11:38:41 2000
	*config.cc[h],main.cc,srvclt.cc[h]: added '-c' and '-m' command
	line parameters;
	*var.cc[h],prefs.cc: code cleanups;
	*face/list.cc[h],face/buttons.cc: added ability to setup speed
	limitation from menu;
	*face/dndtrash.cc: added speed options to menu of dnd trash; fixed 
	memory leak when close/open dnd trash window; code cleanups;
	*po/*.po: changed dndtrash menu ids;

Wed Feb  2 15:10:02 2000
	*nt.cc,var.cc[h],main.cc: separate save path for downloads which will
	be added via socket;
	*po/: hu.po was added!;

Tue Feb  1 00:23:31 2000
	*html.cc[h]: added support for ' as well as for " in values of fields;
	*config.cc[h],main.cc[h],srvclt.cc[h]: added new command line
	pararmenter for changing save path;

Sat Jan 29 15:06:31 2000
	*html.cc[h]: html parsing was fully rewritten from scratch;
	*httpd.cc[h]: removing old html parsing;
	*download.cc: saving one more field to file of list;

Fri Jan 28 14:50:54 2000
	*face/lod.cc,face/edit.cc: changing file and url columns after editing;

Thu Jan 27 11:58:01 2000
	*main/*.*: implement new format of saved lists;
	*ftpd.cc: fixed "can't change dir" when timeouted;

Wed Jan 26 17:45:53 2000
	*dlist.cc[h],download.cc[h],savelog.cc: new format for lists of downloads
	added (only saving yet);

Tue Jan 25 09:42:17 2000
	*po/: fr.po updated;
	*httpd.cc: fixed parsing html if comments found;
	*face/columns.cc: reiniting GtkCList was rewritten;

Mon Jan 24 15:57:08 2000
	*face/list.cc,face/prefs.cc,config.cc,var.cc[h]: added ability to
	setup extensions for skiping if such URLs will be founded in clipboard;
	*main.cc: code cleanups;
	*config.cc: rewriten config reading and writing;

Sat Jan 22 10:00:18 2000
	*main.cc: added function tMain::add_downloading(tDownload *) for
	more abstractive adding downloading;
	*dlist.cc: deleting all downloads when exit (bug of gcc?);

Fri Jan 21 10:17:12 2000
	*main/*.*: now all list of downloads is placed in one array;
	*main.cc: fixed deleting all downloads;
	*face/log.cc: fixed creating log window;
	*face/list.cc: added clipboard monitoring!;

Thu Jan 20 11:03:29 2000
	*main.cc,download.cc,locstr.cc,queue.cc: codecleanups;

Wed Jan 19 07:38:20 2000
	*face/list.cc: minor fixes;
	*face/prefs.cc: rearangements for inserting new item;
	*httpd.cc: fixed memory leak;
	*http.cc[h],hproxy.cc,ftp.cc: code cleanups;
	*face/log.cc: closing log window by esc pressed;
	*face/lod.cc: open log by Enter pressing;

Tue Jan 18 14:51:39 2000
	*Makefile,main.cc,var.cc[h],cookie.cc[h],http.cc[h],hproxy.cc[h]:
	    added cookies support which readed from ~/.netscape/cookies;
	*locstr.cc,config.cc[h]: codecleanups;
	*face/misc.cc[h],face/list.cc,face/prefs.cc: added first clipboard
	    monitoring;
	*face/buttons.cc,face/dndtrash.cc: use font in tooltips from .gtkrc;
	*po/: updated Japaniese translation;

Mon Jan 17 08:42:32 2000
	*Makefile: minor cleanups;
	*httpd.cc: fixed http parsing;
	*config.cc: fixed reading config;
	*main.cc,face/lod.cc,face/edit.cc,face/prefs.cc: minor fixes;

Sat Jan 15 09:25:16 2000
	*httpd.cc: fixed some memory leaks in parsing htmls;
	*signal.cc: fixed probablility of segfaulting on old pthreads;
	*po/: fr.po updated;

Fri Jan 14 14:41:42 2000
	*main/*.*: codecleanups, fixed some memory leaks when parsing
	    html files;

Thu Jan 13 09:56:12 2000
	*face/edit.cc: fixed initialisation and handling proxy dialog;
	*hproxy.cc: fixed authorisation via proxy;

Wed Jan 12 16:10:03 2000
	*main.cc,sortstr.cc[h],face/limface.cc[h]: added one column to dialog
	    of limits;
	*po/ru.po: spell checkings;
	*ftpd.cc: fixed memory boundaries when downloading via ftp proxy;
	*face/limface.cc: fixed adding new limitation when user just 
	    change another one;

Tue Jan 11 09:40:10 2000
	*main.cc,log.cc,socket.cc: some BSD related changes from patches of
	    Ying-Chieh Liao <ijliao@csie.nctu.edu.tw>;
	*main.cc,config.cc,var.cc[h],face/prefs.cc,face/misc.cc,face/edit.cc:
	    added ability to remember passwords;
	*locstr.cc: slightly changed time displaying;
	*face/edit.cc: now downloads will automaticaly start after
	    editing;
	*face/lod.cc[h]: added Shift+PageUp/PageDown keys handlers; 

Tue Jan 11 00:24:56 2000
	*main.cc[h],locstr.cc: code cleanups;
	*httpd.cc: probably fix resuming via http when ETag was changes;

Sun Jan  9 14:19:39 2000
	*face/list.cc,var.cc[h],main.cc: new global variable GLOBAL_SLEEP_DELAY;
	*nt.cc: code cleanups;
	*ftpd.cc: fixed parsing time from server;

Sat Jan  8 09:38:09 2000
	*po/: updated es.po;
	*base64.cc: remove unneccessary remarks;
	*mainlog.cc: codecleanups;

Fri Jan  7 17:55:20 2000
	*face/list.cc,face/dndtrash.cc[h]:destroying dnd_trash window before
	    exiting;
	*main/*.*: merge patch for warnings free while compilation with gcc;

Thu Jan  6 15:11:22 2000
	*po/: fr.po is updated;

Wed Dec 29 09:12:47 1999
	*po/: nl.po is uptodate;

Tue Dec 28 09:40:49 1999
	*main/*.*: code cleanups and optimisations which are related 
	    with histories;

Mon Dec 27 09:52:45 1999
	*config.cc[h]: parsing of command line args was fully rewritten;
	*Makefile: target 'tags' is added;
	*po/Makefile: targed 'uninstall' is added;
	*locstr.cc: fixed converting not valid http chars to %xx;
	*nt.cc,main.cc[h],var.cc[h],config.cc: added ability to run something
	    when exit;
	*face/prefs.cc: face for 'exec something when exit';
	*face/list.cc,face/savelog.cc[h]: closing load/save window when exit;

Sat Dec 25 09:13:13 1999
	*download.h: fixed creating directories with default name;
	*http.cc: code cleanups;

Fri Dec 24 19:00:08 1999
	*httpd.cc: fixed resuming via http when resuming is not supported
	    by server;

Wed Dec 22 09:10:57 1999
	*face/log.cc: fixed resizing log window after creating,
	    fixed dsiplaying messages twice;
	*meter.cc,sort.cc: fixed getting maximal element when tree is empty;

Tue Dec 21 10:28:17 1999
	*ftpd.cc,ftp.cc[h],client.cc[h],socket.cc[h]: various fixes and
	    code cleanups in ftp;
	*config.cc: saving/reading graph's colors into/from config;

Fri Dec 17 11:44:33 1999
	*face/list.cc: disabling menu items from menu download on the fly;
	*srvclt.cc: now D4X will check for remote commads from begin but
	    not from end as it was early;
	*download.cc: fixed memory leak which is related with user agent
	    field;
	*main.cc: fixed selecting apropriate downloading in download_last(...);
	*dlist.cc,main.cc: various fixes and code cleanups related with case
	    sensetivity;

Thu Dec 16 15:39:23 1999
	*po/: fr.po is updated;
	*srvclt.cc[h],main.cc[h],config.cc: added new command line
	    params for setting speed limitation;
	*face/*.*: code cleanups, added ability to move all selected
	    downloads;

Wed Dec 15 09:49:42 1999
	*main/: applyed patch from Tomi Orava;
	*main.cc: fixed downloading saved list;
	*po/cs.po: applyed patch from Pavel Janousek;
	    nl.po file is updated;
	*ftpd.cc: added support for DOS style ftp directory listing,
	    date not parsing yet;

Tue Dec 14 10:32:39 1999
	*po/: Portuguese Brasilian translation is updated, Czech translation
	    is added;
	*face/about.cc: our heroes is updated :)
	*face/pixmaps/: logo.xpm was deleted;
	*face/list.cc: logo.xpm replaced by dndtrash.xpm;
	*locstr.cc[h],ftpd.cc: new algorithm for parsing listing from
	    ftp server for compatibility with wu-ftpd-2.6.0

Fri Dec 10 14:18:53 1999
	*nt.cc: small memory leak when just start program;
	*main/*.*: added %version as User-Agent;
	    added 'rest' column;
	*face/edit.cc: fixed initing dialog for proxy's properties of a
	    download;

Thu Dec  9 12:23:39 1999
	*face/httpd.cc: fixed creating directories which is like
	    download.cgi?http:/lalal/lala/lalala;
	*face/dndtrash.cc: fixed jumping trash window while appearing;
	*face/list.cc: fixed jumping of main window when creating;
	*face/about.cc: fixed bug when 'About' window have 1x1 size;

Wed Dec  8 21:15:00 1999
	*face/buttons.cc: all tips will have yellow background now;
	*face/graph.cc,var.cc[h]: graph colors now in cfg;

Tue Dec  7 07:38:19 1999
	*face/dndtrash.cc: change background color of a tip;

Mon Dec  6 10:21:27 1999
	*face/prefs.cc: added pixamps in speed folder of "Options" dialog;

Sun Dec  5 19:42:01 1999
	*face/list.cc: optimised cpu utilisation;

Sat Dec  4 09:27:29 1999
	*locstr.cc: fixed old bug of time displaying, who say that
	    in one hour 3660 secs?
	*face/prefs.cc: fixed appearing of some gtk assertions;
	*main.cc: optimised CPU utilisation;
	*main/*.*: added user-configurable User-Agent field for http requests;
	*Makefile: some changes for better compatibility;

Fri Dec  3 09:19:45 1999
	*face/list.cc: fixed off screen appearing;
	*dlist.cc: recurse global links via http if it is from the same server;

Thu Dec  2 14:13:57 1999
	*face/dndtrash.cc,list.cc[h]: popup main window by double click
	    on dndtrash icon;
	*po/: French translation is updated;

Sun Nov 28 23:46:46 1999
	*face/dndtrash.cc[h]: added menu by right mouse button clicking for
	    dndtrash icon;

Sat Nov 27 09:52:32 1999
	*ftp.cc: fixed ftp realisation for working with wu-ftpd-2.6.0
	    thank to Terence Haddock;

Wed Nov 24 15:16:35 1999
	*po/: french translation is updated;

Tue Nov 23 11:50:14 1999
	*face/edit.cc[h]: some reorganisations for future implementation;

Mon Nov 22 16:09:48 1999
	*main.cc,face/prefs.cc,config.cc,var.cc[h]: added option "Output
	    detailed information" in main log and add some messages;
	*main.cc: fixed bug of restarting downloading;

Fri Nov 19 17:19:11 1999
	*list.cc: deleting all hystories before exiting;
	*prefs.cc: remove all main log's options to separate folder for
	    new features;

Thu Nov 18 17:42:16 1999
	*list.cc: closing all confirmations windows before exit;

Wed Nov 17 15:00:39 1999
	*list.cc, main.cc: free used memory before exit and close about window;

Tue Nov 16 21:07:43 1999
	*list.cc: destroy all window before exiting (for iplement feature of
	    running something before exiting);

Mon Nov 15 11:57:22 1999
	*httpd.cc: fixed downloading when resuming is not supported;

Sat Nov 14 10:52:07 1999
	*main.cc,log.cc[h],face/log.cc[h]: optimise drawing log; fixed segmentation
	    fault on hi speed connections; fixed duplicate strings when open
	    log; mutexes now will destroy;
	*main.cc,srvclt.cc,signal.cc: now stop server thread before exiting and
	    delete socket from filesystem; mutexes now will destroy;

Sat Nov 13 10:52:07 1999
	*locstr.cc[h],http.cc,hproxy.cc,main.cc: fixed downloading files
	    via proxy with special simbols in its name; code cleanups;

Fri Nov 12 10:18:57 1999
	*srvclt.cc[h]: some code optimizations; added command line parameter
	     --info; added help page (--help); --speed option added;
	*face/list.cc,face/prefs.cc,config.cc: added ability to setup time
	    for exit if nothing to do;

Thu Nov 11 12:23:23 1999
	*main.cc[h],config.cc[h],nt.cc,,srvclt.cc[h]: added ability to add
	    downloading via command promp if even downloader already run;

Mon Nov  8 03:21:41 1999
	*ftpd.cc,httpd.cc: no more failed downloads if host not found;
	*main.cc: fixed speed limitations for separate download; fixed
	    loading of list of downloads;
	*face/log.cc,log.cc: creating log if even download not started
	    (if user want to see log);
	*face/edit.cc: fixed visibility of password and username in URL entry;

Sat Nov  6 18:43:19 1999
	*signal.cc: fixed Ctrl+C exiting, no more lockups;

Fri Nov  5 09:21:37 1999
	*hproxy.cc: fixed probability of segfault on some compilers;
	*queue.cc: fixed probability of segfault;

Thu Nov  4 09:49:19 1999
	*socket.cc: minor changes;
	*addd.cc: check for NULL before create dnd dialog;
	*main.cc: minor fixes in add_new_downloading();
	*face/lod.cc: minor fixes;
	*download.cc,ftpd.cc: fixed rollbacking and resuming after reconnection;

Wed Nov  3 09:07:39 1999
	*po/: French and Chinese translations is updated;
	*socket.cc: fixed coredump on Sun in constr_name();
	*face/prefs.cc: fixed segfault when pressed ok in options dialog if
	    save_log_path was not setuped before;

Tue Nov  2 13:18:51 1999
	*face/edit.cc,speed.cc[h],main.cc,socket.cc: added ability to limit
	    any download by speed separately;
	*ftp.cc,socket.cc[h]: standing data connection in passive mode was changed;
	    minor fix in tSocket::constr_name();
	*po/: French translation is updated, Japaniese translation updated;
	*face/log.cc: changed order for combination 'output log' - 'init signal
	    hangler'
	*locstr.cc[h]: make global_url() case unsensitive;
	*dlist.cc: fixed composing new path in http recursion;

Mon Nov  1 09:31:48 1999
	*face/dndtrash.cc: added tooltip for DnD trash icon;
	*ftp.cc: don't send command PASS if we already have been
	    logged after command USER;
	*httpd.cc: fixes in parsing html;
	*dlist.cc,httpd.cc[h],download.[h]: new method of storing http
	    recursion; some code cleanups; fixed composing new path of file;
	*dndtrash.cc: fix moving of dnd trash;

Sun Oct 31 15:37:35 1999
	*face/prefs.cc: fixed reiniting of main log;

Sat Oct 30 09:44:17 1999
	*face/log.cc: logs is autoscrolled now;
	*face/list.cc: minor fix in scroll main log;
	*main.cc: added message into mainlog if Downloader exited normaly;
	*face/dndtrash.cc,face/buttons.cc: fixed displaying button in buttons
	bar; code cleanups;
	*mainlog.cc: first char of string in mainlog is a type of message;
	*graph.cc: minor fix when graph is drawn from right to left;

Fri Oct 29 09:51:38 1999
	*face/buttons.cc: added button to buttons bar for activate and
	    deactivate dnd trash window;
	*locstr.cc: insert check for NULL everywhere;

Thu Oct 28 09:30:14 1999
	*main.cc, dlist.cc: remove make_file_visible() from tMain to
	    tDownload; also function was removed from main thread 
	    to thread of downloading;
	    Lock file will be removed before exit;
	*nt.cc: move lock file from home directory to tmp; 
	*face/*.*: probably all "Ok" string is translatable now;
	    added dndtrash window;
	*config.cc: storing settings of dndtrash window;
	*face/list.cc,po/: added Japaniese translation;

Wed Oct 27 10:50:11 1999
	*main.cc,face/lod.cc,face/list.cc,face/columns.cc: code cleanups;
	    fixed seting size of visible part of queue of downloads;
	*download.cc,main.cc: added saving config's flags;

Tue Oct 26 13:15:32 1999
	*main.cc,face/list.cc: fixed probability of segfault;
	*po/: id.po was added, French translation was updated; some fixes;

Mon Oct 25 10:55:25 1999
	*download.cc[h],ftpd.cc,httpd.cc: rollback feature was added, some
	    bugfixes when copying configs;
	*face/edit.cc,face/prefs.cc,face/addd.cc: add interface for rollback
	    feature;

Sun Oct 24 18:07:52 1999
	*face/log.cc: rename functions to prefixed form;
	*queue.cc: minor code optimization;
	*po/*.*: updatet Chineze translation and some fixes;

Fri Oct 22 15:57:47 1999
	*face/log.cc,main.cc: after three days playing in "Angband" I add
	    new feature: info about downloading is showed in title of
	    log's window;

Mon Oct 18 11:50:43 1999
	*face/list.cc: some code cleanups, summary info in title of main
	    window now is scrollable too;
	*face/columns.cc: trying to restore size of list of downloads after
	    change columns visibility;

Sat Oct 16 09:59:36 1999
	*lod.cc: info updated after showed columns changed;
	*main.cc,fptd.cc: added displayng downloaded bytes of directory
	    listing;

Fri Oct 15 23:43:11 1999
	*config.cc,face/columns.cc[h],face/lod.cc,face/list.cc[h]:
	    added user configurable columns!!!;

Thu Oct 14 05:39:19 1999
	*face/list.cc: major code leanups, list.cc[h] was slited into list.cc[h]
	 and lod.cc[h]; Downloader is ready to implement manipulating with
	 with columns of list of downloads;
	*dlist.cc,main.cc: revisions related with changing set_pixmap_... int
	list_of_downloads_set_pixmap(row,type);
	*face/edit.cc: set combo to case sensetive mode;
	
Wed Oct 13 14:39:01 1999
	*face/list.cc: continuing changing for future;

Tue Oct 12 20:07:12 1999
	*face/list.cc: minor code revision for future implementation...
	*main.cc: fixed bug which was added yesterday

Mon Oct 11 21:41:28 1999
	*main.cc: fixed seting limitations when load default list;
	*sortstr.cc: some code optimizations;
	*face/list.cc: code revisions for future implementations of userdefined
	    columns;

Sat Oct  9 12:55:04 1999
	*download.cc[h],ftp[d].cc,http[d].cc,hproxy.cc: code cleanups and
	    buffers overflow fixes;
	*main.cc: fixed change limits list when stopping;

Fri Oct  8 18:47:51 1999
	*socket.cc: fixed sparc working;

Thu Oct  7 16:28:56 1999
	*face/buttons.cc: added button "save list";

Wed Oct  6 14:50:56 1999
	*dlist.cc: fixed displaying pixmap in insert_before();

Tue Oct  5 10:07:15 1999
	*httpd.cc: fixed getting field from html tegs;
	*locstr.cc: fixed subtract_path();
	*main.cc[h]: more precise speed calculation;
	*var.cc[h]...: code cleanups;

Mon Oct  4 09:42:21 1999
	*config.cc[h]: added parse_command_line_*() for future
	    implementation;
	*nt.cc: code cleanups;
	*httpd.cc,dlist.cc: http recursion improvements;
	*main.cc: code cleanups; fixed renaming file with unknown name;
	*locastr.cc[h]: fixed compose_string() for ./ and ../ prefixes;
	    added "news:" ulr handling;

Mon Oct  3 09:08:04 1999
	*main.cc: some code cleanups;

Sat Oct  2 10:04:08 1999
	*main.cc: fixed redirect when new location isn't defined;
	*prefs.cc,config.cc,var.cc[h]: added ability to setup default
	premisions;
	*httpd.cc: code cleanups;
	*dlist.cc[h]: now list of downloads set pixmap automatically;

Fri Oct  1 09:29:40 1999
	*main.cc: fixed displaying URL after redirect (probably segfault fix);
	    final fix of SIGINT handler;
	*face/list.cc: fixed displaying status pixmap when move download up 
	    and down;
	*face/about.cc: small fix;
	*locstr.cc: scroll_string_left() nothing to do if shift by 0; 
	*httpd.cc: fixed getting new location, fixed analizing answer;

Thu Sep 30 15:45:38 1999
	*locstr.cc[h],var.cc[h],face/prefc.cc,face/list.cc,config.cc:
	    added ability to scroll mainwin title;
	*face/log.cc: title of the window of opened row of log have
	    name of file;

Thu Sep 30 02:08:12 1999
	*main/*.*: number of constructors-destructors optimisations;
	*main.cc: now waiting for stoping all threads before exit;
	    changed signal() calling into sigaction();
	*signal.cc: changed SIGINT signal into SIGUSR1 to prevent
	    segfault when pressing Ctr-C;

Wed Sep 29 13:07:40 1999
	*main/*.*: binary trees more abstractive now;
	*db.cc[h]: data base of urls was fully rewritten (more faster now);
	*po/: french and dutch translations is updated;
	*main.cc: del_all(); delete waiting downloads from end of list;

Mon Sep 27 10:55:06 1999
	*face/log.cc: log will be scrolled down after opening;
	*locstr.cc[h]: some fixes;

Sat Sep 25 10:06:52 1999
	*Makefile: some fixes;

Thu Sep 23 11:55:28 1999
	*main/*.*: added default filename for saving if it is unknown;
	*config.cc: code cleanups;
	*dlist.cc: fixed recurse directories via ftp, some codecleanups;
	*locstr.cc: fixed compose_path();

Wed Sep 22 09:27:22 1999
	*main/*.*: separate recurse depth for ftp and http;
	*main.cc,dlist.cc[h]: fixed displaying info about download after
	restarting;

Tue Sep 21 13:34:07 1999
	*main/*.*: code cleanups, (char *) fields of tCfg is private now;
	*main/db.cc[h]: added data base for searching downloads;
	*main.cc: fixed segfault when delete all downloads, various fixes
	and code improvements;

Mon Sep 20 10:13:19 1999
	*po/ru.po: fixed russian localization;
	*face/about.cc: added translators to about window;
	*face/list.cc,main.cc: added icon for downloads just stopped by
	user;
	*face/list.cc: in progress bar amount of readed bytes is shown as
	user specified in config for columns;
	*httpd.cc: added support for teg <base>, skipping coments (teg <!-->);
	*locstr.cc,dlist.cc: code cleanups;
	*httpd.cc,ftpd.cc: fixed segfault when download via proxy;
	*nt.cc: changed flock() to lockf();

Sat Sep 18 13:14:09 1999
	*main/*.*: various code cleanups;

Fri Sep 17 09:53:12 1999
	*locstr.cc,config.cc,nt.cc,savelog.cc.dlist.cc[h]: code cleanups;
	*face/addd.cc: fixed localization "add new" title of window;
	*main.cc;face/edit.cc[h]: added abilit open "poroperies" window
	for runing downloads;
	*main.cc: fixed one segfault bug,code cleanups;

Thu Sep 16 19:38:02 1999
	*dlist.cc: added tCfg::copy(tCfg*), code cleanups;
	*ftpd.cc: fixed checking for equal strings in direcotry listing
	when download via ftp;

Wed Sep 15 09:42:40 1999
	*face/list.cc[h],config.cc: rewritten initing list of downloads
	for future features;
	*httpd.cc: improvements in http protocol; fixed displaing that
	resuming is not supported by server side in queue of downloads;
	*main.cc: fixed redirection from proxy;
	*main/*.*: added ability to setup recurse depth for recurse downloading;
	*savelog.cc: fixed saving log when user just stopped downloads;
	*face/buttons.cc: changed speed buttons to radiobuttons;

Tue Sep 14 09:52:37 1999
	*dlist.cc: added make_dir_hier(char *) for create directories' tree;
	fixed inheriting of some flags in recursing; 
	*face/graph.cc,var.cc[h],config.cc: added ability to revert
	drawing order of graph;
	*main.cc: added recurse htmls when via proxy;

Mon Sep 13 09:38:01 1999
	*locstr.cc[h]: added string_to_low(char *) and fixed
	string_to_low(char *,char);
	*main.cc: implemented recursive html downloading;
	*face/edit.cc[h]: added new parameter in "add new" dialog;
	fixed setuping tDownload::config.retry parameter;
	*httpd.cc: slightly changes in parsing html;
	*dlist.cc: fixed convert_list_to_dir2();

Sat Sep 11 10:26:13 1999
	*httpd.cc[h]: added analizing Content-Type for recurse via http
	in next versions; added html parsing functions;
	*dlist.cc[h]: added function for conversion list of
	links to list of downloads;

Thu Sep  9 16:55:33 1999
	*face/about.cc: codecleanups;
	*var.cc,http.cc,hproxy.cc: changed field "refere" in http
	request into home page of Downloader for X;

Wed Sep  8 09:16:37 1999
	*face/list.cc: second attempt to make main log autoscrollable;
	*po/: translation to Dutch was added;

Tue Sep  7 16:37:36 1999
	*ftp.cc: fixed segfault when getting size of file by second way;
	*face/list.cc: first attempt to make main log autoscrollable;

Sat Sep  4 09:55:39 1999
	*face/limface.cc: added extra checks for inputed parameters;
	*face/about.cc: fixed appearing of about window;
	*po/Makefile: fixed installing of .po files;

Fri Sep  3 16:28:36 1999
	*main.cc:added saving and loading status of downloadings;
	*savelogs.cc: fixed bug of loading list;

Thu Sep  2 09:21:16 1999
	*face/list.cc: added gtk_set_locale() in initialisation;

Wed Sep  1 10:34:29 1999
	*face/prefs.cc: spelling corrections;
	*main/*.*: ablity to output log in "zebra" mode was deleted;
	*face/log.cc: added backgrounds for strings in logs;
	*savelog.cc,main.cc: added saving name of file downloading;
	*main.cc: some code cleanups;
	*hproxy.h: fixed localisation of some frases;

Tue Aug 31 17:32:52 1999
	*face/*.*: some code revisions;

Sun Aug 29 17:20:44 1999
	*face/*.*: code cleanups;

Sat Aug 28 12:29:14 1999
	*main/*.*: added ability saving downloads into desired file
	name;

Fri Aug 27 09:21:26 1999
	*main/po/: fr.po and chinese .po was added;
	*speed.cc: changed algorithm of mutual exclusions for speeds
	into using two mutex; 
	*log.cc,face/log.cc: added "zebra" output of logs;
	*main.cc: fixed memory leaks in tMain::analize();

Thu Aug 26 09:53:36 1999
	*face/lmenu.cc,mainlog.cc: remove menu for mainlog from lmenu.cc
	to mainlog.cc;
	*po/es.po,de.po,bg.po: added translations into Spanish,German
	and Bulgarian;
	*nt.cc: remove BETA from version name!!!
	*face/buttons.cc: fixed asking deleding completed downloads if
	user pressed button;

Tue Aug 24 10:36:41 1999
	*face/lmenu.cc,mainlog.cc: added "right mouse button click" menu
	to main log; function of menu creation was changed;
	*dlist.cc: fixed ftp recursion by mask (files now created);
	*main/*.*: added gettext support, translate all to Russian;

Mon Aug 23 10:37:53 1999
	*face/graph.cc: drawing of graph has been optimized;
	*config.cc: added checking existing of HOME variable
	before reading and saving config;
	*face/edit.cc: added "retry if resuming is not supported" check
	button into "add new" dialog; Added history for proxy; Fixed
	storing username in history;
	*hproxy.cc: fixed getting date via proxy;
	*face/prefs.cc: remove duplicate strings;

Sat Aug 21 09:18:16 1999
	*dlist.cc: code cleanups,fixed memory leak;
	*ftpd.cc: fixed segfault when download links;

Fri Aug 20 11:05:04 1999
	*face/list.cc: fixed moving downloading up&down in queue of downloads; 
	*face/edit.cc: added ftp proxy type in proxy dialog;
	*ftpd.cc: added support for ftp proxy (!);
	*dlist.cc: fixed inheriting of proxy in recursion via ftp;

Thu Aug 19 15:14:18 1999
	*main/*.*: added ability to setup starting time for any download;
	*savelog.cc: changed format of saved list (backward compatible);

Wed Aug 18 16:50:53 1999
	*dlist.cc: 0 perecents now displayed too :)

Tue Aug 17 10:08:23 1999
	*main.cc: redirect fixed and some code cleanups;
	*queue.cc: fixed insert_after();
	*face/edit.cc: username and password now enter and work properly; 

Mon Aug 16 10:42:25 1999
	*main.cc,dlist.h: added normal handling of stop button;
	*main.cc,ftp.cc: fixed size detirmination;

Sat Aug 14 11:17:50 1999
	*download.cc[h],ftp[d].cc[h]: added code for determination file size when 
	command LIST does not work;
	*main.cc: size output has been changed;
	*list.cc: spelling corrections;
	*misc.cc: remove some functions from list.cc to misc.cc;
	 
Fri Aug 13 05:11:02 1999
	*config.cc: added saving speed in cfg file;
	*main.cc: new algorithm of speed scheduling; 
	*face/prefs.cc: added bookbark for speed settings;
	*socket.cc: more precise reading from socket;

Thu Aug 12 18:30:01 1999
	*speed.cc[h]: added speed scheduler for speed of donloading manipulations;
	*main.cc[h]: implement speed scheduler;
	*face/buttons.cc: added buttons for 3 various speeds;
	*face/misc.cc: added ability to iconfy window ecxept exit;

Wed Aug 11 14:24:31 1999
	*main.cc,signal.cc[h]: implemented new algorithm of stoping-starting
	threads;

Tue Aug 10 14:47:49 1999
	*face/list.cc[h],prefs.cc: added confirmations for some operations
	and ability to switch confirmations off;
	*config.cc: saving confirmations;
	*signal.cc[h]: added functions which allocate pointer to apropriate
	tDownload structure in any thread;

Mon Aug  9 14:28:20 1999
	*main.cc[h]: add checking of ability to run new thread;

Sun Aug  8 20:16:30 1999
	*face/edit.cc: added history in proxy dialog for field "user";

Fri Aug  6 20:30:02 1999
	*main/*.*:code cleanups;
		added ability to lower main window if pressef close button; 
	*ftp.cc:if passive mode is not supported via ftp downloader will
		download using PORT command and vice versa;

Thu Aug  5 16:03:49 1999
	*face/lmenu.cc: code cleanups;

Wed Aug  4 09:05:05 1999
	*face/limface.cc[h]: now rows in "limitations for hosts" dialog is 
		normaly editable;
        *face/prefs.cc: add frame for "using title of main window" options;
	*face/*.*: all windows will be destroyed normaly, closing of main
		window emit confirmation dialog;

Tue Aug  3 14:47:44 1999
        *main.cc[h],dlist.cc[h]: remove analizing of list of ftp directory
	    from main thread;
        *ftpd.cc[h],download.h: remove field mask from tFileInfo;
        *face/limface.cc[h],config.cc: sizes of columns of limitation's window
	    now is stored; 

Wed Jul 28 12:08:28 1999
    *main.cc[h]: http redirections will run in the same row;
    *dlist.cc[h],httpd.cc[h]: codecleanups; 

Mon Jul 19 11:46:59 1999
    *face/limface.cc: added ability to delete limitation by pressing
    del button;
    *face/*.* spelling corrections;

Sat Jul 17 09:47:33 1999
    *main.cc: now it's possible to "stop" waiting downloads,
    other code cleanups;
    *face/list.cc: change behavior for some events;
    *config.cc: code cleanups;

Fri Jul 16 16:16:57 1999
    *main/*.*: added abilty to set limits of connection for any site
    on any port;

Thu Jul 15 10:38:08 1999
    *main.cc,face/list.cc: added icon for downloading when resuming
    is not supported;
    *locstr.cc: added checking for NULLs in check_mask(...);

Wed Jul 14 11:55:57 1999
    *main.cc: function which download file by  mask now  enter in 
    directories recursively; also program will create path before 
    creating file;  codecleanups;
    *ftpd.cc: fixed displying speed when reget is not supported; 

Tue Jul 13 12:12:00 1999
    *main.cc,ftpd.cc,locstr.cc: added support for simply mask;

Sun Jul 11 17:41:41 1999
    *main.cc: fixed NanoSpeed calculation;

Sat Jul 10 12:08:06 1999
    *main.cc,dlist.cc[h],face/graph.cc,face/list.cc:
    now graph of speeds is used not only global speed but and for
    speed of last seconds of slected download;
    *main.cc: now full URLs are displayed in main log;

Fri Jul  9 12:13:56 1999
    *face/log.cc: any log now can open one string in separate window;
    *mainlog.cc[h],face/about.cc[h]: code cleanups;

Thu Jul  8 11:22:56 1999
    *face/list.cc: changed selection mode of list of downloads
    to mode which allow multiselect;
    *main.cc: continue button now restart downloads;
    *face/about.cc[h]: added simply dialogs for asking about:
    exit,delete selected downloads, delete all downloads;

Wed Jul  7 12:11:04 1999
    *mainlog.cc: added double click callback, now it is possible to 
    open string of main log in separate window;
    *face/list.cc: now last column in list of downloads resized automaticaly;
    as well as storing sizes of columns;
    *main/*.*: added optionally opened dialog for DnD from netscape;

Tue Jul  6 13:53:52 1999
    *face/prefs.cc,face/edit.cc: global rewriting...;
    *face/log.cc,log.cc[h]: now windows of the logs store his sizes
    as well as small bug which can bring up segfault was fixed; 
    *main.cc: fixed bug of displaying sizes after chaging format
    in options;

Mon Jul  5 18:44:16 1999
    *face/graph.cc: slightly changed displayed graph;

Sun Jul  4 19:36:46 1999
    *face/ : code and interface cleanups;
    *ftp.cc: fixed passwords' visibility in logs;

Sat Jul  3 13:44:50 1999
    *main.cc,face/prefs.cc: added code for optionaly getting date from server;

Fri Jul  2 09:24:17 1999
    *face/edit.cc,face/prefs.cc: code cleanups;
    *config.cc: fixed small bug;
    *face/list.cc: now logs will be redrown before closed (for prevent sgfault);
    *main/*.*: changed CFG.NICE_DEC_DIGITALS to type tTriger;
    *httpd.cc: added code for getting date of last modification of file;

Thu Jul  1 16:08:58 1999
    *log.cc: added auotmatic changing size fo log;
    *face/: list.cc,edit.cc,addd.cc: now already opened windows will popup;
	    interface cleanups;
    *main.cc: now set up all parameters in loaded listing of downloads;

Tue Jun 29 13:10:20 1999
    *main.cc,dlist.cc: some code cleanups;

Mon Jun 28 13:07:58 1999
    *ftpd.cc,locstr.cc[h]: added parse date from the server;
    *face/list.cc: download info of selected file is displayed in
    title of the main window;

Sun Jun 27 15:53:05 1999
    *config.cc,var.cc[h],face/list.cc,face/prefs.cc: added automatically
    saving list of downloads;

Fri Jun 25 14:15:43 1999
    *main.cc: fixed some small bugs...;

Thu Jun 24 13:57:41 1999
    * Code cleanups;
    * Added reading permisions from the ftp server and setting up on local
    files;
    *face/buttons.cc: fixed small bug of disabling "del completed" button;

Wed Jun 23 15:41:09 1999
    *face/log.cc[h]: pixmaps was added into logs;
    *mainlog.cc: added writing date to the file;
    *nt.cc: added file lock for prevent multiple instances;

Tue Jun 22 13:30:12 1999
    *ftp.cc: fixed "CRLF" bug in FTP downloads !!!
    *download.cc[h]: added "device" type of downloads;
    *some spelling corrections;
    *face/loadsave.cc: dialogs for load-save list was changed;
    *face/*.*: almost all windows popup if its already open;

Mon Jun 21 08:49:46 1999
    *mainlog.cc,main.cc: added changing paramenters of main log "on the fly"

Sun Jun 20 17:00:36 1999
    *mainlog.cc,face/prefs.cc,config.cc: added ability to save main log 
    into file;
    *httpd.cc: fixed small bugs;

Sat Jun 19 09:56:06 1999
    *download.cc: some code cleanups;
    *main.cc: added proxy suport;

Fri Jun 18 11:55:34 1999
    *main/*.*: code cleaups;
    *face/prefs.cc: added proxy configs and main log;

Thu Jun 17 10:06:36 1999
    *main/*.*: added ftp passive mode support;

Wed Jun 16 14:51:45 1999
    *face/list.cc: draw_graph() is returned in callback of "configure_event"
    also small interface fixes;
    *savelog.cc[h]: change some functions...;
    *face/saveload.cc[h]: added ability saving list of downloads to file;
    *main.cc: speed of completed dowload is outputed in main log;

Mon Jun 14 12:38:54 1999
    *main/*: code and interface cleanups;

Sun Jun 13 15:04:32 1999
    *main.cc: fixed segfault in delete_download() if there are no selected
    download;
    *face/list.cc: fixed small bug of first start...

Sat Jun 12 17:08:45 1999
    *face/addd.cc,face/edit.cc[h],face/prefs.cc: cosmetic changes;
    *main.cc: fixed interface freezing on multimple downloads;

Fri Jun 11 12:45:55 1999
    *mainlog.cc[h],main.cc[h],face/list.cc[h]m,config.cc: implement GLOBAL
    log in main window;

Thu Jun 10 16:05:33 1999
    *face/lmenu.cc,main.cc,locstr.cc: code cleanups;

Wed Jun  9 11:43:16 1999
    *face/edit.cc: fixed getting from URL username and password;

Tue Jun  8 09:08:35 1999
    *socket.cc: remove 'hostent *hp=new' from function to object (as 
    'hostent hp') to prevent memory leaks;

Mon Jun  7 10:50:27 1999
    *main.cc,face/list.cc[h]: added new icon wich display status of download;
    *httpd.cc: changed parsing ETag;
    *socket.cc: change gethostbyname() to gethostbyname_r();

Sun Jun  6 18:20:06 1999
    *main.cc: optimiezed redrawing of list of downloads;
    *httpd.cc: fixed 'segfault' bug if server not found in first 
    attempt;

Sat Jun  5 09:54:58 1999
    *main.cc,dlist.cc: optimized redrawing of  list of downloads; fixed
    small bug in tMain::continue_download();
    *ftpd.cc: code cleanups;
    *face/list.cc: procedure determination position and sizes of main
    window is changed;

Fri Jun  4 20:36:55 1999
    *httpd.cc: fixed small bug if size of file unknown;
    *face/list.cc: added icon for main window;

Thu Jun  3 14:37:25 1999
    *main.cc,log.cc: fixed some type castings in msgsnd() for 
    compilation under slackware3.6;

Wed Jun  2 12:16:15 1999
    *face/lmenu.cc[h]: new right mouse button menu with pixmaps;
    *http.cc: change authorization algoritm;

Tue Jun  1 17:19:00 1999
    *http.cc,httpd.cc: added Basic authorization support;
    *face/list.cc: added ability to move up and down via Shift and keys;
    *edit.cc: fixed small security bug...
    *ALL: change DEFAULT_PASS to NULL

Mon May 31 16:06:07 1999
    *config.cc[h]: now history of URLs and pathes is saved;
    *face/prefs.cc: added history of pathes into preferenses window;
    *face/graph.cc: memory leak was fixed;

Sun May 30 16:30:50 1999
    *face/list.cc: now position of window saved correctly even if window did
    not move;

Sat May 29 11:26:09 1999
    *ftpd.cc,main.cc: fixed some memory leaks and updating log at near sites;

Fri May 28 14:43:17 1999
    *face/edit.cc: added ability to paste new download from clipboard;
    *main.cc: now program clear msgqueue before using to prevent segfault;
    *nt.cc: changed version to 0.95;
    
Thu May 27 19:37:33 1999
    *face/edit.cc: added history list

Wed May 26 13:21:58 1999
    *dlist.cc,main.cc: fixed 'continue_download()'
    *dlist.cc,face/addd.cc,face/edit.cc: fixed add new downloading, and added
    few checkings for stupid men;

Tue May 25 17:49:08 1999
    *face/addd.cc,face/edit.cc: addwindow look like editwindow now
    *main.cc: changed 'continue_download()' for more comfortable using

Mon May 24 17:16:45 1999
    *socket.cc: fixed sockets leak in tSocket::accepting() *BIG BUG*
    *face/list.cc: added some keybindings and cleaned draw graph

Mon May 24 09:55:47 1999
    *ftpd.cc: fixed some memory leaks
    *client.cc: fixed 'Status' change after read from socket in ::read_data()
    *httpd.cc: fixed incorrect determination size of file
    *face/about.cc: more information added

Sun May 23 17:39:03 1999
    *face/prefs.cc: fixed bug with close browser vis close window
    *face/edit.cc: added browser and fixed "delete window" bug and more
	convincied interface was added
    *ftpd.cc: "segmentation fault" fixed, memory leak fixed

Sat May 22 14:44:44 1999
    ftpd.cc: maybe fixed bug wich was added 20 of may.

Fri May 21 11:18:49 1999
    main.cc: add '#' checking in http urls
    face/prefc.cc: add browse button for selection of path
    download.cc: fixed socket leak (virtual destructor was added)
    face/*: made interface more nice

Thu May 20 14:09:33 1999
    ftpd.cc: bug with spaces in file name fixed...
    main.cc: fixed parsing %xx in ftp URLs
    httpd.cc: fixed not close file after completing or stoping

Thu May 20 10:28:14 1999
    ftp.cc: fixed logining into "not valid" servers
    ftpd.cc: fixed reread catalog if it was loaded in get_size()
    face/edit.cc: fixed password visibility
    savelog.cc: port now saved in list

Wed May 19 08:58:12 1999
    ftpd.c,httpd.cc: cleaned output into log while reconnect

Tue May 18 12:05:50 1999
    config.cc,face/prefs.cc: add RETRY_IF_NOREGET in options

Mon May 10 08:17:06 1999
    list.cc: implement DnD support from Justin Bradford;

Sun May  9 14:57:31 1999
    face/graph.cc[h],face/list.cc:
	code cleanups in procedure of drawing graph
    main.cc: added checks for edit downloads
    nt.cc: change version name

Fri May  7 14:54:46 1999
    httpd.cc,ftpd.cc,http.cc,ftp.cc,signal.cc:
	fixed memory leaks and stoping threads
	threads is stopped normaly now!
	There are also code cleanups.
    savelog.cc,face/list.cc:
	list of files now write in right order 

Fri May  7 09:27:32 1999
    face/edit.cc: fixed some wich was added yesterday

Thu May  6 21:12:05 1999
    httpd.cc: fixed definition of file's size if reget not supported and part of file already loaded

Thu May  6 11:24:08 1999
    added abiliti to edit download

Wed May  5 09:20:55 1999
    face/list.cc: added selection apropriate row while right button click
    socket.cc: few changes in "heart" of my program (for stability of course)

Wed Apr 28 08:05:41 1999
    http[d].cc: loaded size of file now calculate correctly;
		fixed downloading of file wich was already loaded

Tue Apr 27 20:26:16 1999
    httpd.cc: code cleanups;
    client.cc: english cleanups;

Tue Apr 27 10:43:28 1999
    http.cc: fixed segfault in delete_file(); 
    signal.cc: fixed sockets leaks;

Mon Apr 26 18:24:09 1999
    http[d].cc,ftp[d].cc: bugs with downloading fixed and code cleanups
    main.cc: flashes of list of downloads was fixed. 

Sun Apr 25 16:53:28 1999
    http.cc: fixed bug with loaded size when reget is supported

Sat Apr 24 19:07:18 1999
    httpd.cc: many changes in defining name of file and outputting length;
    incorrect displayed size in http download was fixed
    main.cc: tMain::make_file_visible() changed for http "real names"

Fri Apr 23 14:46:12 1999
    ftpd.cc: added extra checking in check_for_repeated()

Fri Apr 23 04:34:21 1999
    face/list.cc: added geometry setting
    config.cc: added geometry saving

Thu Apr 22 18:16:16 1999
    ftpd.cc[h]: added checking for repeated etries in directory listing

Wed Apr 21 15:43:23 1999
    face/list.cc: double click on list now open log,also added accelerators;

Wed Apr 21 08:50:58 1999
    config.cc: added saving of GLOBAL_SAVE_PATH
    face/prefs.cc: added editing of GLOBAL_SAVE_PATH
    http.cc[h]: parse_percent was added and changed creat_file
    locstr.cc[h]: added convert_from_hex()
    face/list.cc: added double click on list of downloads callback

Tue Apr 20 12:38:52 1999
    face/list.cc: fixed some memory leaks while make pixmaps
    dlist.cc[h]: useless field FileName was deleted

Fri Apr 16 08:56:55 1999
    ftpd.cc: fixed cause in tFtpDownload::get_size() when server doesn't return any data on command LIST
    
Thu Apr 15 16:20:39 1999
    face/list.cc: Brrr... fixed bug when download's moved down
    main.cc: First number of MsgQueue changed from 1 to 100

Thu Apr 15 13:31:28 1999
    main.cc: fixed tMain::done() to prevent segfault
    face/list.cc: my_main_quit() added exec of tMain::done()
    queue.cc: added function insert_after(...)
    
Thu Apr 15 10:19:30 1999
    main.cc: Changed tMain::add_dir()
    savelog.cc: not so trivial as it was early
    face/addd.cc: Delete '/n' in the end of the string

Wed Apr 14 18:11:08 1999
    main.cc: Remaining time calculation in tMain::print_info() was changed
    
Tue Apr 13 18:19:15 1999
    face/list.cc: Added freeze-unfreeze clist in move-up-down downloads
    
Tue Apr 13 03:18:22 1999
    It is good style to record log of changes.
    main.cc: 
	Code cleanup;
	memory leaks fixes;
	download of whole site in sites' name directory fixes;
    face/graph.cc: Code cleanup

